"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssignmentRulesOperations = exports.MasterModel = exports.GetAssignmentRuleParam = void 0;
const param_1 = require("../../../../../../routes/param");
const common_api_handler_1 = require("../../../../../../routes/middlewares/common_api_handler");
const constants_1 = require("../../../../../../utils/util/constants");
class AssignmentRulesOperations {
    /**
     * The method to get assignment rules
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    async getAssignmentRules() {
        let handlerInstance = new common_api_handler_1.CommonAPIHandler();
        let apiPath = '';
        apiPath = apiPath.concat("/crm/v2.1/settings/automation/assignment_rules");
        handlerInstance.setAPIPath(apiPath);
        handlerInstance.setHttpMethod(constants_1.Constants.REQUEST_METHOD_GET);
        handlerInstance.setCategoryMethod(constants_1.Constants.REQUEST_CATEGORY_READ);
        let ResponseHandler = require.resolve("./response_handler");
        return handlerInstance.apiCall(ResponseHandler, "application/json");
    }
    /**
     * The method to get assignment rule
     * @param ruleId A bigint representing the ruleId
     * @param paramInstance An instance of ParameterMap
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    async getAssignmentRule(ruleId, paramInstance) {
        let handlerInstance = new common_api_handler_1.CommonAPIHandler();
        let apiPath = '';
        apiPath = apiPath.concat("/crm/v2.1/settings/automation/assignment_rules/");
        apiPath = apiPath.concat(ruleId.toString());
        handlerInstance.setAPIPath(apiPath);
        handlerInstance.setHttpMethod(constants_1.Constants.REQUEST_METHOD_GET);
        handlerInstance.setCategoryMethod(constants_1.Constants.REQUEST_CATEGORY_READ);
        handlerInstance.setParam(paramInstance);
        let ResponseHandler = require.resolve("./response_handler");
        return handlerInstance.apiCall(ResponseHandler, "application/json");
    }
}
exports.MasterModel = AssignmentRulesOperations;
exports.AssignmentRulesOperations = AssignmentRulesOperations;
class GetAssignmentRuleParam {
}
exports.GetAssignmentRuleParam = GetAssignmentRuleParam;
GetAssignmentRuleParam.MODULE = new param_1.Param("module", "com.zoho.crm.api.AssignmentRules.GetAssignmentRuleParam");
