import { Model } from "../../../../../../utils/util/model";
declare class DefaultUser implements Model {
    private name;
    private id;
    private keyModified;
    /**
     * The method to get the name
     * @returns A string representing the name
     */
    getName(): string;
    /**
     * The method to set the value to name
     * @param name A string representing the name
     */
    setName(name: string): void;
    /**
     * The method to get the id
     * @returns A string representing the id
     */
    getId(): string;
    /**
     * The method to set the value to id
     * @param id A string representing the id
     */
    setId(id: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { DefaultUser as MasterModel, DefaultUser as DefaultUser };
