import { AssignmentRule } from "./assignment_rule";
import { ResponseHandler } from "./response_handler";
import { Model } from "../../../../../../utils/util/model";
declare class ResponseWrapper implements Model, ResponseHandler {
    private assignmentRules;
    private keyModified;
    /**
     * The method to get the assignmentRules
     * @returns An Array representing the assignmentRules
     */
    getAssignmentRules(): Array<AssignmentRule>;
    /**
     * The method to set the value to assignmentRules
     * @param assignmentRules An Array representing the assignmentRules
     */
    setAssignmentRules(assignmentRules: Array<AssignmentRule>): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { ResponseWrapper as MasterModel, ResponseWrapper as ResponseWrapper };
