import { ProcessInfo } from "./process_info";
import { Transition } from "./transition";
import { Record } from "../record/record";
import { Model } from "../../../../../../utils/util/model";
declare class BluePrint implements Model {
    private transitionId;
    private data;
    private processInfo;
    private transitions;
    private keyModified;
    /**
     * The method to get the transitionId
     * @returns A bigint representing the transitionId
     */
    getTransitionId(): bigint;
    /**
     * The method to set the value to transitionId
     * @param transitionId A bigint representing the transitionId
     */
    setTransitionId(transitionId: bigint): void;
    /**
     * The method to get the data
     * @returns An instance of Record
     */
    getData(): Record;
    /**
     * The method to set the value to data
     * @param data An instance of Record
     */
    setData(data: Record): void;
    /**
     * The method to get the processInfo
     * @returns An instance of ProcessInfo
     */
    getProcessInfo(): ProcessInfo;
    /**
     * The method to set the value to processInfo
     * @param processInfo An instance of ProcessInfo
     */
    setProcessInfo(processInfo: ProcessInfo): void;
    /**
     * The method to get the transitions
     * @returns An Array representing the transitions
     */
    getTransitions(): Array<Transition>;
    /**
     * The method to set the value to transitions
     * @param transitions An Array representing the transitions
     */
    setTransitions(transitions: Array<Transition>): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { BluePrint as MasterModel, BluePrint as BluePrint };
