import { ActionResponse } from "./action_response";
import { BodyWrapper } from "./body_wrapper";
import { ResponseHandler } from "./response_handler";
import { APIResponse } from "../../../../../../routes/controllers/api_response";
declare class BluePrintOperations {
    private moduleAPIName;
    private recordId;
    /**
     * Creates an instance of BluePrintOperations with the given parameters
     * @param recordId A bigint representing the recordId
     * @param moduleAPIName A string representing the moduleAPIName
     */
    constructor(recordId: bigint, moduleAPIName: string);
    /**
     * The method to get blueprint
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getBlueprint(): Promise<APIResponse<ResponseHandler>>;
    /**
     * The method to update blueprint
     * @param request An instance of BodyWrapper
     * @returns An instance of APIResponse<ActionResponse>
     * @throws SDKException
     */
    updateBlueprint(request: BodyWrapper): Promise<APIResponse<ActionResponse>>;
}
export { BluePrintOperations as MasterModel, BluePrintOperations as BluePrintOperations };
