import { Model } from "../../../../../../utils/util/model";
declare class Escalation implements Model {
    private days;
    private status;
    private keyModified;
    /**
     * The method to get the days
     * @returns A number representing the days
     */
    getDays(): number;
    /**
     * The method to set the value to days
     * @param days A number representing the days
     */
    setDays(days: number): void;
    /**
     * The method to get the status
     * @returns A string representing the status
     */
    getStatus(): string;
    /**
     * The method to set the value to status
     * @param status A string representing the status
     */
    setStatus(status: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Escalation as MasterModel, Escalation as Escalation };
