import { Criteria } from "../custom_views/criteria";
import { AssociationDetails } from "../fields/association_details";
import { AutoNumber } from "../fields/auto_number";
import { Crypt } from "../fields/crypt";
import { Currency } from "../fields/currency";
import { External } from "../fields/external";
import { Formula } from "../fields/formula";
import { HistoryTracking } from "../fields/history_tracking";
import { Module } from "../fields/module";
import { MultiModuleLookup } from "../fields/multi_module_lookup";
import { MultiSelectLookup } from "../fields/multi_select_lookup";
import { MultiUserLookup } from "../fields/multi_user_lookup";
import { PickListValue } from "../fields/pick_list_value";
import { Private } from "../fields/private";
import { RelatedDetails } from "../fields/related_details";
import { ToolTip } from "../fields/tool_tip";
import { Unique } from "../fields/unique";
import { ViewType } from "../fields/view_type";
import { Layout } from "../layouts/layout";
import { Profile } from "../profiles/profile";
import { Choice } from "../../../../../../utils/util/choice";
import { Model } from "../../../../../../utils/util/model";
declare class Field implements Model {
    private systemMandatory;
    private webhook;
    private private1;
    private layouts;
    private profiles;
    private sequenceNumber;
    private content;
    private columnName;
    private type;
    private transitionSequence;
    private personalityName;
    private message;
    private mandatory;
    private criteria;
    private relatedDetails;
    private jsonType;
    private crypt;
    private fieldLabel;
    private tooltip;
    private createdSource;
    private fieldReadOnly;
    private displayLabel;
    private uiType;
    private readOnly;
    private associationDetails;
    private quickSequenceNumber;
    private businesscardSupported;
    private multiModuleLookup;
    private currency;
    private id;
    private customField;
    private lookup;
    private filterable;
    private visible;
    private pickListValuesSortedLexically;
    private length;
    private viewType;
    private subform;
    private apiName;
    private sortable;
    private unique;
    private dataType;
    private formula;
    private decimalPlace;
    private massUpdate;
    private blueprintSupported;
    private multiselectlookup;
    private multiuserlookup;
    private pickListValues;
    private autoNumber;
    private defaultValue;
    private validationRule;
    private convertMapping;
    private external;
    private historyTracking;
    private displayType;
    private keyModified;
    /**
     * The method to get the systemMandatory
     * @returns A boolean representing the systemMandatory
     */
    getSystemMandatory(): boolean;
    /**
     * The method to set the value to systemMandatory
     * @param systemMandatory A boolean representing the systemMandatory
     */
    setSystemMandatory(systemMandatory: boolean): void;
    /**
     * The method to get the webhook
     * @returns A boolean representing the webhook
     */
    getWebhook(): boolean;
    /**
     * The method to set the value to webhook
     * @param webhook A boolean representing the webhook
     */
    setWebhook(webhook: boolean): void;
    /**
     * The method to get the private
     * @returns An instance of Private
     */
    getPrivate(): Private;
    /**
     * The method to set the value to private
     * @param private1 An instance of Private
     */
    setPrivate(private1: Private): void;
    /**
     * The method to get the layouts
     * @returns An instance of Layout
     */
    getLayouts(): Layout;
    /**
     * The method to set the value to layouts
     * @param layouts An instance of Layout
     */
    setLayouts(layouts: Layout): void;
    /**
     * The method to get the profiles
     * @returns An Array representing the profiles
     */
    getProfiles(): Array<Profile>;
    /**
     * The method to set the value to profiles
     * @param profiles An Array representing the profiles
     */
    setProfiles(profiles: Array<Profile>): void;
    /**
     * The method to get the sequenceNumber
     * @returns A number representing the sequenceNumber
     */
    getSequenceNumber(): number;
    /**
     * The method to set the value to sequenceNumber
     * @param sequenceNumber A number representing the sequenceNumber
     */
    setSequenceNumber(sequenceNumber: number): void;
    /**
     * The method to get the content
     * @returns A string representing the content
     */
    getContent(): string;
    /**
     * The method to set the value to content
     * @param content A string representing the content
     */
    setContent(content: string): void;
    /**
     * The method to get the columnName
     * @returns A string representing the columnName
     */
    getColumnName(): string;
    /**
     * The method to set the value to columnName
     * @param columnName A string representing the columnName
     */
    setColumnName(columnName: string): void;
    /**
     * The method to get the type
     * @returns A string representing the type
     */
    getType(): string;
    /**
     * The method to set the value to type
     * @param type A string representing the type
     */
    setType(type: string): void;
    /**
     * The method to get the transitionSequence
     * @returns A number representing the transitionSequence
     */
    getTransitionSequence(): number;
    /**
     * The method to set the value to transitionSequence
     * @param transitionSequence A number representing the transitionSequence
     */
    setTransitionSequence(transitionSequence: number): void;
    /**
     * The method to get the personalityName
     * @returns A string representing the personalityName
     */
    getPersonalityName(): string;
    /**
     * The method to set the value to personalityName
     * @param personalityName A string representing the personalityName
     */
    setPersonalityName(personalityName: string): void;
    /**
     * The method to get the message
     * @returns A string representing the message
     */
    getMessage(): string;
    /**
     * The method to set the value to message
     * @param message A string representing the message
     */
    setMessage(message: string): void;
    /**
     * The method to get the mandatory
     * @returns A boolean representing the mandatory
     */
    getMandatory(): boolean;
    /**
     * The method to set the value to mandatory
     * @param mandatory A boolean representing the mandatory
     */
    setMandatory(mandatory: boolean): void;
    /**
     * The method to get the criteria
     * @returns An instance of Criteria
     */
    getCriteria(): Criteria;
    /**
     * The method to set the value to criteria
     * @param criteria An instance of Criteria
     */
    setCriteria(criteria: Criteria): void;
    /**
     * The method to get the relatedDetails
     * @returns An instance of RelatedDetails
     */
    getRelatedDetails(): RelatedDetails;
    /**
     * The method to set the value to relatedDetails
     * @param relatedDetails An instance of RelatedDetails
     */
    setRelatedDetails(relatedDetails: RelatedDetails): void;
    /**
     * The method to get the jsonType
     * @returns A string representing the jsonType
     */
    getJsonType(): string;
    /**
     * The method to set the value to jsonType
     * @param jsonType A string representing the jsonType
     */
    setJsonType(jsonType: string): void;
    /**
     * The method to get the crypt
     * @returns An instance of Crypt
     */
    getCrypt(): Crypt;
    /**
     * The method to set the value to crypt
     * @param crypt An instance of Crypt
     */
    setCrypt(crypt: Crypt): void;
    /**
     * The method to get the fieldLabel
     * @returns A string representing the fieldLabel
     */
    getFieldLabel(): string;
    /**
     * The method to set the value to fieldLabel
     * @param fieldLabel A string representing the fieldLabel
     */
    setFieldLabel(fieldLabel: string): void;
    /**
     * The method to get the tooltip
     * @returns An instance of ToolTip
     */
    getTooltip(): ToolTip;
    /**
     * The method to set the value to tooltip
     * @param tooltip An instance of ToolTip
     */
    setTooltip(tooltip: ToolTip): void;
    /**
     * The method to get the createdSource
     * @returns A string representing the createdSource
     */
    getCreatedSource(): string;
    /**
     * The method to set the value to createdSource
     * @param createdSource A string representing the createdSource
     */
    setCreatedSource(createdSource: string): void;
    /**
     * The method to get the fieldReadOnly
     * @returns A boolean representing the fieldReadOnly
     */
    getFieldReadOnly(): boolean;
    /**
     * The method to set the value to fieldReadOnly
     * @param fieldReadOnly A boolean representing the fieldReadOnly
     */
    setFieldReadOnly(fieldReadOnly: boolean): void;
    /**
     * The method to get the displayLabel
     * @returns A string representing the displayLabel
     */
    getDisplayLabel(): string;
    /**
     * The method to set the value to displayLabel
     * @param displayLabel A string representing the displayLabel
     */
    setDisplayLabel(displayLabel: string): void;
    /**
     * The method to get the uiType
     * @returns A number representing the uiType
     */
    getUiType(): number;
    /**
     * The method to set the value to uiType
     * @param uiType A number representing the uiType
     */
    setUiType(uiType: number): void;
    /**
     * The method to get the readOnly
     * @returns A boolean representing the readOnly
     */
    getReadOnly(): boolean;
    /**
     * The method to set the value to readOnly
     * @param readOnly A boolean representing the readOnly
     */
    setReadOnly(readOnly: boolean): void;
    /**
     * The method to get the associationDetails
     * @returns An instance of AssociationDetails
     */
    getAssociationDetails(): AssociationDetails;
    /**
     * The method to set the value to associationDetails
     * @param associationDetails An instance of AssociationDetails
     */
    setAssociationDetails(associationDetails: AssociationDetails): void;
    /**
     * The method to get the quickSequenceNumber
     * @returns A number representing the quickSequenceNumber
     */
    getQuickSequenceNumber(): number;
    /**
     * The method to set the value to quickSequenceNumber
     * @param quickSequenceNumber A number representing the quickSequenceNumber
     */
    setQuickSequenceNumber(quickSequenceNumber: number): void;
    /**
     * The method to get the businesscardSupported
     * @returns A boolean representing the businesscardSupported
     */
    getBusinesscardSupported(): boolean;
    /**
     * The method to set the value to businesscardSupported
     * @param businesscardSupported A boolean representing the businesscardSupported
     */
    setBusinesscardSupported(businesscardSupported: boolean): void;
    /**
     * The method to get the multiModuleLookup
     * @returns An instance of MultiModuleLookup
     */
    getMultiModuleLookup(): MultiModuleLookup;
    /**
     * The method to set the value to multiModuleLookup
     * @param multiModuleLookup An instance of MultiModuleLookup
     */
    setMultiModuleLookup(multiModuleLookup: MultiModuleLookup): void;
    /**
     * The method to get the currency
     * @returns An instance of Currency
     */
    getCurrency(): Currency;
    /**
     * The method to set the value to currency
     * @param currency An instance of Currency
     */
    setCurrency(currency: Currency): void;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the customField
     * @returns A boolean representing the customField
     */
    getCustomField(): boolean;
    /**
     * The method to set the value to customField
     * @param customField A boolean representing the customField
     */
    setCustomField(customField: boolean): void;
    /**
     * The method to get the lookup
     * @returns An instance of Module
     */
    getLookup(): Module;
    /**
     * The method to set the value to lookup
     * @param lookup An instance of Module
     */
    setLookup(lookup: Module): void;
    /**
     * The method to get the filterable
     * @returns A boolean representing the filterable
     */
    getFilterable(): boolean;
    /**
     * The method to set the value to filterable
     * @param filterable A boolean representing the filterable
     */
    setFilterable(filterable: boolean): void;
    /**
     * The method to get the visible
     * @returns A boolean representing the visible
     */
    getVisible(): boolean;
    /**
     * The method to set the value to visible
     * @param visible A boolean representing the visible
     */
    setVisible(visible: boolean): void;
    /**
     * The method to get the pickListValuesSortedLexically
     * @returns A boolean representing the pickListValuesSortedLexically
     */
    getPickListValuesSortedLexically(): boolean;
    /**
     * The method to set the value to pickListValuesSortedLexically
     * @param pickListValuesSortedLexically A boolean representing the pickListValuesSortedLexically
     */
    setPickListValuesSortedLexically(pickListValuesSortedLexically: boolean): void;
    /**
     * The method to get the length
     * @returns A number representing the length
     */
    getLength(): number;
    /**
     * The method to set the value to length
     * @param length A number representing the length
     */
    setLength(length: number): void;
    /**
     * The method to get the viewType
     * @returns An instance of ViewType
     */
    getViewType(): ViewType;
    /**
     * The method to set the value to viewType
     * @param viewType An instance of ViewType
     */
    setViewType(viewType: ViewType): void;
    /**
     * The method to get the subform
     * @returns An instance of Module
     */
    getSubform(): Module;
    /**
     * The method to set the value to subform
     * @param subform An instance of Module
     */
    setSubform(subform: Module): void;
    /**
     * The method to get the apiName
     * @returns A string representing the apiName
     */
    getAPIName(): string;
    /**
     * The method to set the value to apiName
     * @param apiName A string representing the apiName
     */
    setAPIName(apiName: string): void;
    /**
     * The method to get the sortable
     * @returns A boolean representing the sortable
     */
    getSortable(): boolean;
    /**
     * The method to set the value to sortable
     * @param sortable A boolean representing the sortable
     */
    setSortable(sortable: boolean): void;
    /**
     * The method to get the unique
     * @returns An instance of Unique
     */
    getUnique(): Unique;
    /**
     * The method to set the value to unique
     * @param unique An instance of Unique
     */
    setUnique(unique: Unique): void;
    /**
     * The method to get the dataType
     * @returns A string representing the dataType
     */
    getDataType(): string;
    /**
     * The method to set the value to dataType
     * @param dataType A string representing the dataType
     */
    setDataType(dataType: string): void;
    /**
     * The method to get the formula
     * @returns An instance of Formula
     */
    getFormula(): Formula;
    /**
     * The method to set the value to formula
     * @param formula An instance of Formula
     */
    setFormula(formula: Formula): void;
    /**
     * The method to get the decimalPlace
     * @returns A number representing the decimalPlace
     */
    getDecimalPlace(): number;
    /**
     * The method to set the value to decimalPlace
     * @param decimalPlace A number representing the decimalPlace
     */
    setDecimalPlace(decimalPlace: number): void;
    /**
     * The method to get the massUpdate
     * @returns A boolean representing the massUpdate
     */
    getMassUpdate(): boolean;
    /**
     * The method to set the value to massUpdate
     * @param massUpdate A boolean representing the massUpdate
     */
    setMassUpdate(massUpdate: boolean): void;
    /**
     * The method to get the blueprintSupported
     * @returns A boolean representing the blueprintSupported
     */
    getBlueprintSupported(): boolean;
    /**
     * The method to set the value to blueprintSupported
     * @param blueprintSupported A boolean representing the blueprintSupported
     */
    setBlueprintSupported(blueprintSupported: boolean): void;
    /**
     * The method to get the multiselectlookup
     * @returns An instance of MultiSelectLookup
     */
    getMultiselectlookup(): MultiSelectLookup;
    /**
     * The method to set the value to multiselectlookup
     * @param multiselectlookup An instance of MultiSelectLookup
     */
    setMultiselectlookup(multiselectlookup: MultiSelectLookup): void;
    /**
     * The method to get the multiuserlookup
     * @returns An instance of MultiUserLookup
     */
    getMultiuserlookup(): MultiUserLookup;
    /**
     * The method to set the value to multiuserlookup
     * @param multiuserlookup An instance of MultiUserLookup
     */
    setMultiuserlookup(multiuserlookup: MultiUserLookup): void;
    /**
     * The method to get the pickListValues
     * @returns An Array representing the pickListValues
     */
    getPickListValues(): Array<PickListValue>;
    /**
     * The method to set the value to pickListValues
     * @param pickListValues An Array representing the pickListValues
     */
    setPickListValues(pickListValues: Array<PickListValue>): void;
    /**
     * The method to get the autoNumber
     * @returns An instance of AutoNumber
     */
    getAutoNumber(): AutoNumber;
    /**
     * The method to set the value to autoNumber
     * @param autoNumber An instance of AutoNumber
     */
    setAutoNumber(autoNumber: AutoNumber): void;
    /**
     * The method to get the defaultValue
     * @returns A string representing the defaultValue
     */
    getDefaultValue(): string;
    /**
     * The method to set the value to defaultValue
     * @param defaultValue A string representing the defaultValue
     */
    setDefaultValue(defaultValue: string): void;
    /**
     * The method to get the validationRule
     * @returns A Map representing the validationRule
     */
    getValidationRule(): Map<string, any>;
    /**
     * The method to set the value to validationRule
     * @param validationRule A Map representing the validationRule
     */
    setValidationRule(validationRule: Map<string, any>): void;
    /**
     * The method to get the convertMapping
     * @returns A Map representing the convertMapping
     */
    getConvertMapping(): Map<string, any>;
    /**
     * The method to set the value to convertMapping
     * @param convertMapping A Map representing the convertMapping
     */
    setConvertMapping(convertMapping: Map<string, any>): void;
    /**
     * The method to get the external
     * @returns An instance of External
     */
    getExternal(): External;
    /**
     * The method to set the value to external
     * @param external An instance of External
     */
    setExternal(external: External): void;
    /**
     * The method to get the historyTracking
     * @returns An instance of HistoryTracking
     */
    getHistoryTracking(): HistoryTracking;
    /**
     * The method to set the value to historyTracking
     * @param historyTracking An instance of HistoryTracking
     */
    setHistoryTracking(historyTracking: HistoryTracking): void;
    /**
     * The method to get the displayType
     * @returns An instance of Choice<number>
     */
    getDisplayType(): Choice<number>;
    /**
     * The method to set the value to displayType
     * @param displayType An instance of Choice<number>
     */
    setDisplayType(displayType: Choice<number>): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Field as MasterModel, Field as Field };
