import { Escalation } from "./escalation";
import { Model } from "../../../../../../utils/util/model";
declare class ProcessInfo implements Model {
    private fieldId;
    private isContinuous;
    private apiName;
    private continuous;
    private fieldLabel;
    private name;
    private columnName;
    private fieldValue;
    private id;
    private fieldName;
    private escalation;
    private keyModified;
    /**
     * The method to get the fieldId
     * @returns A string representing the fieldId
     */
    getFieldId(): string;
    /**
     * The method to set the value to fieldId
     * @param fieldId A string representing the fieldId
     */
    setFieldId(fieldId: string): void;
    /**
     * The method to get the isContinuous
     * @returns A boolean representing the isContinuous
     */
    getIsContinuous(): boolean;
    /**
     * The method to set the value to isContinuous
     * @param isContinuous A boolean representing the isContinuous
     */
    setIsContinuous(isContinuous: boolean): void;
    /**
     * The method to get the apiName
     * @returns A string representing the apiName
     */
    getAPIName(): string;
    /**
     * The method to set the value to apiName
     * @param apiName A string representing the apiName
     */
    setAPIName(apiName: string): void;
    /**
     * The method to get the continuous
     * @returns A boolean representing the continuous
     */
    getContinuous(): boolean;
    /**
     * The method to set the value to continuous
     * @param continuous A boolean representing the continuous
     */
    setContinuous(continuous: boolean): void;
    /**
     * The method to get the fieldLabel
     * @returns A string representing the fieldLabel
     */
    getFieldLabel(): string;
    /**
     * The method to set the value to fieldLabel
     * @param fieldLabel A string representing the fieldLabel
     */
    setFieldLabel(fieldLabel: string): void;
    /**
     * The method to get the name
     * @returns A string representing the name
     */
    getName(): string;
    /**
     * The method to set the value to name
     * @param name A string representing the name
     */
    setName(name: string): void;
    /**
     * The method to get the columnName
     * @returns A string representing the columnName
     */
    getColumnName(): string;
    /**
     * The method to set the value to columnName
     * @param columnName A string representing the columnName
     */
    setColumnName(columnName: string): void;
    /**
     * The method to get the fieldValue
     * @returns A string representing the fieldValue
     */
    getFieldValue(): string;
    /**
     * The method to set the value to fieldValue
     * @param fieldValue A string representing the fieldValue
     */
    setFieldValue(fieldValue: string): void;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the fieldName
     * @returns A string representing the fieldName
     */
    getFieldName(): string;
    /**
     * The method to set the value to fieldName
     * @param fieldName A string representing the fieldName
     */
    setFieldName(fieldName: string): void;
    /**
     * The method to get the escalation
     * @returns An instance of Escalation
     */
    getEscalation(): Escalation;
    /**
     * The method to set the value to escalation
     * @param escalation An instance of Escalation
     */
    setEscalation(escalation: Escalation): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { ProcessInfo as MasterModel, ProcessInfo as ProcessInfo };
