import { Field } from "./field";
import { NextTransition } from "./next_transition";
import { Record } from "../record/record";
import { Model } from "../../../../../../utils/util/model";
declare class Transition implements Model {
    private nextTransitions;
    private parentTransition;
    private percentPartialSave;
    private data;
    private nextFieldValue;
    private name;
    private criteriaMatched;
    private id;
    private fields;
    private criteriaMessage;
    private type;
    private executionTime;
    private keyModified;
    /**
     * The method to get the nextTransitions
     * @returns An Array representing the nextTransitions
     */
    getNextTransitions(): Array<NextTransition>;
    /**
     * The method to set the value to nextTransitions
     * @param nextTransitions An Array representing the nextTransitions
     */
    setNextTransitions(nextTransitions: Array<NextTransition>): void;
    /**
     * The method to get the parentTransition
     * @returns An instance of Transition
     */
    getParentTransition(): Transition;
    /**
     * The method to set the value to parentTransition
     * @param parentTransition An instance of Transition
     */
    setParentTransition(parentTransition: Transition): void;
    /**
     * The method to get the percentPartialSave
     * @returns A number representing the percentPartialSave
     */
    getPercentPartialSave(): number;
    /**
     * The method to set the value to percentPartialSave
     * @param percentPartialSave A number representing the percentPartialSave
     */
    setPercentPartialSave(percentPartialSave: number): void;
    /**
     * The method to get the data
     * @returns An instance of Record
     */
    getData(): Record;
    /**
     * The method to set the value to data
     * @param data An instance of Record
     */
    setData(data: Record): void;
    /**
     * The method to get the nextFieldValue
     * @returns A string representing the nextFieldValue
     */
    getNextFieldValue(): string;
    /**
     * The method to set the value to nextFieldValue
     * @param nextFieldValue A string representing the nextFieldValue
     */
    setNextFieldValue(nextFieldValue: string): void;
    /**
     * The method to get the name
     * @returns A string representing the name
     */
    getName(): string;
    /**
     * The method to set the value to name
     * @param name A string representing the name
     */
    setName(name: string): void;
    /**
     * The method to get the criteriaMatched
     * @returns A boolean representing the criteriaMatched
     */
    getCriteriaMatched(): boolean;
    /**
     * The method to set the value to criteriaMatched
     * @param criteriaMatched A boolean representing the criteriaMatched
     */
    setCriteriaMatched(criteriaMatched: boolean): void;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the fields
     * @returns An Array representing the fields
     */
    getFields(): Array<Field>;
    /**
     * The method to set the value to fields
     * @param fields An Array representing the fields
     */
    setFields(fields: Array<Field>): void;
    /**
     * The method to get the criteriaMessage
     * @returns A string representing the criteriaMessage
     */
    getCriteriaMessage(): string;
    /**
     * The method to set the value to criteriaMessage
     * @param criteriaMessage A string representing the criteriaMessage
     */
    setCriteriaMessage(criteriaMessage: string): void;
    /**
     * The method to get the type
     * @returns A string representing the type
     */
    getType(): string;
    /**
     * The method to set the value to type
     * @param type A string representing the type
     */
    setType(type: string): void;
    /**
     * The method to get the executionTime
     * @returns An instance of Date
     */
    getExecutionTime(): Date;
    /**
     * The method to set the value to executionTime
     * @param executionTime An instance of Date
     */
    setExecutionTime(executionTime: Date): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Transition as MasterModel, Transition as Transition };
