import { ActionHandler } from "./action_handler";
import { RequestWrapper } from "./request_wrapper";
import { ResponseHandler } from "./response_handler";
import { APIResponse } from "../../../../../../routes/controllers/api_response";
declare class BulkReadOperations {
    /**
     * The method to get bulk read job details
     * @param jobId A bigint representing the jobId
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getBulkReadJobDetails(jobId: bigint): Promise<APIResponse<ResponseHandler>>;
    /**
     * The method to download result
     * @param jobId A bigint representing the jobId
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    downloadResult(jobId: bigint): Promise<APIResponse<ResponseHandler>>;
    /**
     * The method to create bulk read job
     * @param request An instance of RequestWrapper
     * @returns An instance of APIResponse<ActionHandler>
     * @throws SDKException
     */
    createBulkReadJob(request: RequestWrapper): Promise<APIResponse<ActionHandler>>;
}
export { BulkReadOperations as MasterModel, BulkReadOperations as BulkReadOperations };
