import { Query } from "./query";
import { Result } from "./result";
import { User } from "../users/user";
import { Choice } from "../../../../../../utils/util/choice";
import { Model } from "../../../../../../utils/util/model";
declare class JobDetail implements Model {
    private id;
    private operation;
    private state;
    private query;
    private createdBy;
    private createdTime;
    private result;
    private fileType;
    private keyModified;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the operation
     * @returns A string representing the operation
     */
    getOperation(): string;
    /**
     * The method to set the value to operation
     * @param operation A string representing the operation
     */
    setOperation(operation: string): void;
    /**
     * The method to get the state
     * @returns An instance of Choice<string>
     */
    getState(): Choice<string>;
    /**
     * The method to set the value to state
     * @param state An instance of Choice<string>
     */
    setState(state: Choice<string>): void;
    /**
     * The method to get the query
     * @returns An instance of Query
     */
    getQuery(): Query;
    /**
     * The method to set the value to query
     * @param query An instance of Query
     */
    setQuery(query: Query): void;
    /**
     * The method to get the createdBy
     * @returns An instance of User
     */
    getCreatedBy(): User;
    /**
     * The method to set the value to createdBy
     * @param createdBy An instance of User
     */
    setCreatedBy(createdBy: User): void;
    /**
     * The method to get the createdTime
     * @returns An instance of Date
     */
    getCreatedTime(): Date;
    /**
     * The method to set the value to createdTime
     * @param createdTime An instance of Date
     */
    setCreatedTime(createdTime: Date): void;
    /**
     * The method to get the result
     * @returns An instance of Result
     */
    getResult(): Result;
    /**
     * The method to set the value to result
     * @param result An instance of Result
     */
    setResult(result: Result): void;
    /**
     * The method to get the fileType
     * @returns A string representing the fileType
     */
    getFileType(): string;
    /**
     * The method to set the value to fileType
     * @param fileType A string representing the fileType
     */
    setFileType(fileType: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { JobDetail as MasterModel, JobDetail as JobDetail };
