import { Criteria } from "./criteria";
import { Module } from "../modules/module";
import { Model } from "../../../../../../utils/util/model";
declare class Query implements Model {
    private module;
    private cvid;
    private fields;
    private page;
    private criteria;
    private keyModified;
    /**
     * The method to get the module
     * @returns An instance of Module
     */
    getModule(): Module;
    /**
     * The method to set the value to module
     * @param module An instance of Module
     */
    setModule(module: Module): void;
    /**
     * The method to get the cvid
     * @returns A string representing the cvid
     */
    getCvid(): string;
    /**
     * The method to set the value to cvid
     * @param cvid A string representing the cvid
     */
    setCvid(cvid: string): void;
    /**
     * The method to get the fields
     * @returns An Array representing the fields
     */
    getFields(): Array<string>;
    /**
     * The method to set the value to fields
     * @param fields An Array representing the fields
     */
    setFields(fields: Array<string>): void;
    /**
     * The method to get the page
     * @returns A number representing the page
     */
    getPage(): number;
    /**
     * The method to set the value to page
     * @param page A number representing the page
     */
    setPage(page: number): void;
    /**
     * The method to get the criteria
     * @returns An instance of Criteria
     */
    getCriteria(): Criteria;
    /**
     * The method to set the value to criteria
     * @param criteria An instance of Criteria
     */
    setCriteria(criteria: Criteria): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Query as MasterModel, Query as Query };
