import { CallBack } from "./call_back";
import { Query } from "./query";
import { Choice } from "../../../../../../utils/util/choice";
import { Model } from "../../../../../../utils/util/model";
declare class RequestWrapper implements Model {
    private callback;
    private query;
    private fileType;
    private keyModified;
    /**
     * The method to get the callback
     * @returns An instance of CallBack
     */
    getCallback(): CallBack;
    /**
     * The method to set the value to callback
     * @param callback An instance of CallBack
     */
    setCallback(callback: CallBack): void;
    /**
     * The method to get the query
     * @returns An instance of Query
     */
    getQuery(): Query;
    /**
     * The method to set the value to query
     * @param query An instance of Query
     */
    setQuery(query: Query): void;
    /**
     * The method to get the fileType
     * @returns An instance of Choice<string>
     */
    getFileType(): Choice<string>;
    /**
     * The method to set the value to fileType
     * @param fileType An instance of Choice<string>
     */
    setFileType(fileType: Choice<string>): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { RequestWrapper as MasterModel, RequestWrapper as RequestWrapper };
