import { Model } from "../../../../../../utils/util/model";
declare class Result implements Model {
    private page;
    private count;
    private downloadUrl;
    private perPage;
    private moreRecords;
    private keyModified;
    /**
     * The method to get the page
     * @returns A number representing the page
     */
    getPage(): number;
    /**
     * The method to set the value to page
     * @param page A number representing the page
     */
    setPage(page: number): void;
    /**
     * The method to get the count
     * @returns A number representing the count
     */
    getCount(): number;
    /**
     * The method to set the value to count
     * @param count A number representing the count
     */
    setCount(count: number): void;
    /**
     * The method to get the downloadUrl
     * @returns A string representing the downloadUrl
     */
    getDownloadUrl(): string;
    /**
     * The method to set the value to downloadUrl
     * @param downloadUrl A string representing the downloadUrl
     */
    setDownloadUrl(downloadUrl: string): void;
    /**
     * The method to get the perPage
     * @returns A number representing the perPage
     */
    getPerPage(): number;
    /**
     * The method to set the value to perPage
     * @param perPage A number representing the perPage
     */
    setPerPage(perPage: number): void;
    /**
     * The method to get the moreRecords
     * @returns A boolean representing the moreRecords
     */
    getMoreRecords(): boolean;
    /**
     * The method to set the value to moreRecords
     * @param moreRecords A boolean representing the moreRecords
     */
    setMoreRecords(moreRecords: boolean): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Result as MasterModel, Result as Result };
