import { ActionResponse } from "./action_response";
import { ResponseHandler } from "./response_handler";
import { ResponseWrapper } from "./response_wrapper";
import { Choice } from "../../../../../../utils/util/choice";
import { Model } from "../../../../../../utils/util/model";
declare class APIException implements Model, ActionResponse, ResponseWrapper, ResponseHandler {
    private code;
    private message;
    private status;
    private details;
    private errorMessage;
    private errorCode;
    private xError;
    private info;
    private xInfo;
    private httpStatus;
    private keyModified;
    /**
     * The method to get the code
     * @returns An instance of Choice<string>
     */
    getCode(): Choice<string>;
    /**
     * The method to set the value to code
     * @param code An instance of Choice<string>
     */
    setCode(code: Choice<string>): void;
    /**
     * The method to get the message
     * @returns An instance of Choice<string>
     */
    getMessage(): Choice<string>;
    /**
     * The method to set the value to message
     * @param message An instance of Choice<string>
     */
    setMessage(message: Choice<string>): void;
    /**
     * The method to get the status
     * @returns An instance of Choice<string>
     */
    getStatus(): Choice<string>;
    /**
     * The method to set the value to status
     * @param status An instance of Choice<string>
     */
    setStatus(status: Choice<string>): void;
    /**
     * The method to get the details
     * @returns A Map representing the details
     */
    getDetails(): Map<string, any>;
    /**
     * The method to set the value to details
     * @param details A Map representing the details
     */
    setDetails(details: Map<string, any>): void;
    /**
     * The method to get the errorMessage
     * @returns An instance of Choice<string>
     */
    getErrorMessage(): Choice<string>;
    /**
     * The method to set the value to errorMessage
     * @param errorMessage An instance of Choice<string>
     */
    setErrorMessage(errorMessage: Choice<string>): void;
    /**
     * The method to get the errorCode
     * @returns A number representing the errorCode
     */
    getErrorCode(): number;
    /**
     * The method to set the value to errorCode
     * @param errorCode A number representing the errorCode
     */
    setErrorCode(errorCode: number): void;
    /**
     * The method to get the xError
     * @returns An instance of Choice<string>
     */
    getXError(): Choice<string>;
    /**
     * The method to set the value to xError
     * @param xError An instance of Choice<string>
     */
    setXError(xError: Choice<string>): void;
    /**
     * The method to get the info
     * @returns An instance of Choice<string>
     */
    getInfo(): Choice<string>;
    /**
     * The method to set the value to info
     * @param info An instance of Choice<string>
     */
    setInfo(info: Choice<string>): void;
    /**
     * The method to get the xInfo
     * @returns An instance of Choice<string>
     */
    getXInfo(): Choice<string>;
    /**
     * The method to set the value to xInfo
     * @param xInfo An instance of Choice<string>
     */
    setXInfo(xInfo: Choice<string>): void;
    /**
     * The method to get the httpStatus
     * @returns A string representing the httpStatus
     */
    getHttpStatus(): string;
    /**
     * The method to set the value to httpStatus
     * @param httpStatus A string representing the httpStatus
     */
    setHttpStatus(httpStatus: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { APIException as MasterModel, APIException as APIException };
