import { Choice } from "../../../../../../utils/util/choice";
import { Model } from "../../../../../../utils/util/model";
declare class File implements Model {
    private status;
    private name;
    private addedCount;
    private skippedCount;
    private updatedCount;
    private totalCount;
    private keyModified;
    /**
     * The method to get the status
     * @returns An instance of Choice<string>
     */
    getStatus(): Choice<string>;
    /**
     * The method to set the value to status
     * @param status An instance of Choice<string>
     */
    setStatus(status: Choice<string>): void;
    /**
     * The method to get the name
     * @returns A string representing the name
     */
    getName(): string;
    /**
     * The method to set the value to name
     * @param name A string representing the name
     */
    setName(name: string): void;
    /**
     * The method to get the addedCount
     * @returns A number representing the addedCount
     */
    getAddedCount(): number;
    /**
     * The method to set the value to addedCount
     * @param addedCount A number representing the addedCount
     */
    setAddedCount(addedCount: number): void;
    /**
     * The method to get the skippedCount
     * @returns A number representing the skippedCount
     */
    getSkippedCount(): number;
    /**
     * The method to set the value to skippedCount
     * @param skippedCount A number representing the skippedCount
     */
    setSkippedCount(skippedCount: number): void;
    /**
     * The method to get the updatedCount
     * @returns A number representing the updatedCount
     */
    getUpdatedCount(): number;
    /**
     * The method to set the value to updatedCount
     * @param updatedCount A number representing the updatedCount
     */
    setUpdatedCount(updatedCount: number): void;
    /**
     * The method to get the totalCount
     * @returns A number representing the totalCount
     */
    getTotalCount(): number;
    /**
     * The method to set the value to totalCount
     * @param totalCount A number representing the totalCount
     */
    setTotalCount(totalCount: number): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { File as MasterModel, File as File };
