import { CallBack } from "./call_back";
import { Resource } from "./resource";
import { Choice } from "../../../../../../utils/util/choice";
import { Model } from "../../../../../../utils/util/model";
declare class RequestWrapper implements Model {
    private characterEncoding;
    private operation;
    private callback;
    private resource;
    private keyModified;
    /**
     * The method to get the characterEncoding
     * @returns A string representing the characterEncoding
     */
    getCharacterEncoding(): string;
    /**
     * The method to set the value to characterEncoding
     * @param characterEncoding A string representing the characterEncoding
     */
    setCharacterEncoding(characterEncoding: string): void;
    /**
     * The method to get the operation
     * @returns An instance of Choice<string>
     */
    getOperation(): Choice<string>;
    /**
     * The method to set the value to operation
     * @param operation An instance of Choice<string>
     */
    setOperation(operation: Choice<string>): void;
    /**
     * The method to get the callback
     * @returns An instance of CallBack
     */
    getCallback(): CallBack;
    /**
     * The method to set the value to callback
     * @param callback An instance of CallBack
     */
    setCallback(callback: CallBack): void;
    /**
     * The method to get the resource
     * @returns An Array representing the resource
     */
    getResource(): Array<Resource>;
    /**
     * The method to set the value to resource
     * @param resource An Array representing the resource
     */
    setResource(resource: Array<Resource>): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { RequestWrapper as MasterModel, RequestWrapper as RequestWrapper };
