import { FieldMapping } from "./field_mapping";
import { File } from "./file";
import { Module } from "../modules/module";
import { Choice } from "../../../../../../utils/util/choice";
import { Model } from "../../../../../../utils/util/model";
declare class Resource implements Model {
    private status;
    private type;
    private module;
    private code;
    private fileId;
    private ignoreEmpty;
    private findBy;
    private fieldMappings;
    private file;
    private keyModified;
    /**
     * The method to get the status
     * @returns An instance of Choice<string>
     */
    getStatus(): Choice<string>;
    /**
     * The method to set the value to status
     * @param status An instance of Choice<string>
     */
    setStatus(status: Choice<string>): void;
    /**
     * The method to get the type
     * @returns An instance of Choice<string>
     */
    getType(): Choice<string>;
    /**
     * The method to set the value to type
     * @param type An instance of Choice<string>
     */
    setType(type: Choice<string>): void;
    /**
     * The method to get the module
     * @returns An instance of Module
     */
    getModule(): Module;
    /**
     * The method to set the value to module
     * @param module An instance of Module
     */
    setModule(module: Module): void;
    /**
     * The method to get the code
     * @returns A string representing the code
     */
    getCode(): string;
    /**
     * The method to set the value to code
     * @param code A string representing the code
     */
    setCode(code: string): void;
    /**
     * The method to get the fileId
     * @returns A string representing the fileId
     */
    getFileId(): string;
    /**
     * The method to set the value to fileId
     * @param fileId A string representing the fileId
     */
    setFileId(fileId: string): void;
    /**
     * The method to get the ignoreEmpty
     * @returns A boolean representing the ignoreEmpty
     */
    getIgnoreEmpty(): boolean;
    /**
     * The method to set the value to ignoreEmpty
     * @param ignoreEmpty A boolean representing the ignoreEmpty
     */
    setIgnoreEmpty(ignoreEmpty: boolean): void;
    /**
     * The method to get the findBy
     * @returns A string representing the findBy
     */
    getFindBy(): string;
    /**
     * The method to set the value to findBy
     * @param findBy A string representing the findBy
     */
    setFindBy(findBy: string): void;
    /**
     * The method to get the fieldMappings
     * @returns An Array representing the fieldMappings
     */
    getFieldMappings(): Array<FieldMapping>;
    /**
     * The method to set the value to fieldMappings
     * @param fieldMappings An Array representing the fieldMappings
     */
    setFieldMappings(fieldMappings: Array<FieldMapping>): void;
    /**
     * The method to get the file
     * @returns An instance of File
     */
    getFile(): File;
    /**
     * The method to set the value to file
     * @param file An instance of File
     */
    setFile(file: File): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Resource as MasterModel, Resource as Resource };
