import { Model } from "../../../../../../utils/util/model";
declare class ContactRoleWrapper implements Model {
    private contactRole;
    private keyModified;
    /**
     * The method to get the contactRole
     * @returns A string representing the contactRole
     */
    getContactRole(): string;
    /**
     * The method to set the value to contactRole
     * @param contactRole A string representing the contactRole
     */
    setContactRole(contactRole: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { ContactRoleWrapper as MasterModel, ContactRoleWrapper as ContactRoleWrapper };
