import { Currency } from "./currency";
import { Model } from "../../../../../../utils/util/model";
declare class BaseCurrencyWrapper implements Model {
    private baseCurrency;
    private keyModified;
    /**
     * The method to get the baseCurrency
     * @returns An instance of Currency
     */
    getBaseCurrency(): Currency;
    /**
     * The method to set the value to baseCurrency
     * @param baseCurrency An instance of Currency
     */
    setBaseCurrency(baseCurrency: Currency): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { BaseCurrencyWrapper as MasterModel, BaseCurrencyWrapper as BaseCurrencyWrapper };
