import { Choice } from "../../../../../../utils/util/choice";
import { Model } from "../../../../../../utils/util/model";
declare class Format implements Model {
    private decimalSeparator;
    private thousandSeparator;
    private decimalPlaces;
    private keyModified;
    /**
     * The method to get the decimalSeparator
     * @returns An instance of Choice<string>
     */
    getDecimalSeparator(): Choice<string>;
    /**
     * The method to set the value to decimalSeparator
     * @param decimalSeparator An instance of Choice<string>
     */
    setDecimalSeparator(decimalSeparator: Choice<string>): void;
    /**
     * The method to get the thousandSeparator
     * @returns An instance of Choice<string>
     */
    getThousandSeparator(): Choice<string>;
    /**
     * The method to set the value to thousandSeparator
     * @param thousandSeparator An instance of Choice<string>
     */
    setThousandSeparator(thousandSeparator: Choice<string>): void;
    /**
     * The method to get the decimalPlaces
     * @returns An instance of Choice<string>
     */
    getDecimalPlaces(): Choice<string>;
    /**
     * The method to set the value to decimalPlaces
     * @param decimalPlaces An instance of Choice<string>
     */
    setDecimalPlaces(decimalPlaces: Choice<string>): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Format as MasterModel, Format as Format };
