"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomView = exports.MasterModel = void 0;
class CustomView {
    constructor() {
        this.keyModified = new Map();
    }
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId() {
        return this.id;
    }
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id) {
        this.id = id;
        this.keyModified.set("id", 1);
    }
    /**
     * The method to get the name
     * @returns A string representing the name
     */
    getName() {
        return this.name;
    }
    /**
     * The method to set the value to name
     * @param name A string representing the name
     */
    setName(name) {
        this.name = name;
        this.keyModified.set("name", 1);
    }
    /**
     * The method to get the systemName
     * @returns A string representing the systemName
     */
    getSystemName() {
        return this.systemName;
    }
    /**
     * The method to set the value to systemName
     * @param systemName A string representing the systemName
     */
    setSystemName(systemName) {
        this.systemName = systemName;
        this.keyModified.set("system_name", 1);
    }
    /**
     * The method to get the displayValue
     * @returns A string representing the displayValue
     */
    getDisplayValue() {
        return this.displayValue;
    }
    /**
     * The method to set the value to displayValue
     * @param displayValue A string representing the displayValue
     */
    setDisplayValue(displayValue) {
        this.displayValue = displayValue;
        this.keyModified.set("display_value", 1);
    }
    /**
     * The method to get the createdTime
     * @returns An instance of Date
     */
    getCreatedTime() {
        return this.createdTime;
    }
    /**
     * The method to set the value to createdTime
     * @param createdTime An instance of Date
     */
    setCreatedTime(createdTime) {
        this.createdTime = createdTime;
        this.keyModified.set("created_time", 1);
    }
    /**
     * The method to get the accessType
     * @returns A string representing the accessType
     */
    getAccessType() {
        return this.accessType;
    }
    /**
     * The method to set the value to accessType
     * @param accessType A string representing the accessType
     */
    setAccessType(accessType) {
        this.accessType = accessType;
        this.keyModified.set("access_type", 1);
    }
    /**
     * The method to get the category
     * @returns A string representing the category
     */
    getCategory() {
        return this.category;
    }
    /**
     * The method to set the value to category
     * @param category A string representing the category
     */
    setCategory(category) {
        this.category = category;
        this.keyModified.set("category", 1);
    }
    /**
     * The method to get the sortBy
     * @returns A string representing the sortBy
     */
    getSortBy() {
        return this.sortBy;
    }
    /**
     * The method to set the value to sortBy
     * @param sortBy A string representing the sortBy
     */
    setSortBy(sortBy) {
        this.sortBy = sortBy;
        this.keyModified.set("sort_by", 1);
    }
    /**
     * The method to get the sortOrder
     * @returns A string representing the sortOrder
     */
    getSortOrder() {
        return this.sortOrder;
    }
    /**
     * The method to set the value to sortOrder
     * @param sortOrder A string representing the sortOrder
     */
    setSortOrder(sortOrder) {
        this.sortOrder = sortOrder;
        this.keyModified.set("sort_order", 1);
    }
    /**
     * The method to get the favorite
     * @returns A number representing the favorite
     */
    getFavorite() {
        return this.favorite;
    }
    /**
     * The method to set the value to favorite
     * @param favorite A number representing the favorite
     */
    setFavorite(favorite) {
        this.favorite = favorite;
        this.keyModified.set("favorite", 1);
    }
    /**
     * The method to get the default
     * @returns A boolean representing the default1
     */
    getDefault() {
        return this.default1;
    }
    /**
     * The method to set the value to default
     * @param default1 A boolean representing the default1
     */
    setDefault(default1) {
        this.default1 = default1;
        this.keyModified.set("default", 1);
    }
    /**
     * The method to get the systemDefined
     * @returns A boolean representing the systemDefined
     */
    getSystemDefined() {
        return this.systemDefined;
    }
    /**
     * The method to set the value to systemDefined
     * @param systemDefined A boolean representing the systemDefined
     */
    setSystemDefined(systemDefined) {
        this.systemDefined = systemDefined;
        this.keyModified.set("system_defined", 1);
    }
    /**
     * The method to get the criteria
     * @returns An instance of Criteria
     */
    getCriteria() {
        return this.criteria;
    }
    /**
     * The method to set the value to criteria
     * @param criteria An instance of Criteria
     */
    setCriteria(criteria) {
        this.criteria = criteria;
        this.keyModified.set("criteria", 1);
    }
    /**
     * The method to get the sharedTo
     * @returns An Array representing the sharedTo
     */
    getSharedTo() {
        return this.sharedTo;
    }
    /**
     * The method to set the value to sharedTo
     * @param sharedTo An Array representing the sharedTo
     */
    setSharedTo(sharedTo) {
        this.sharedTo = sharedTo;
        this.keyModified.set("shared_to", 1);
    }
    /**
     * The method to get the fields
     * @returns An Array representing the fields
     */
    getFields() {
        return this.fields;
    }
    /**
     * The method to set the value to fields
     * @param fields An Array representing the fields
     */
    setFields(fields) {
        this.fields = fields;
        this.keyModified.set("fields", 1);
    }
    /**
     * The method to get the modifiedTime
     * @returns An instance of Date
     */
    getModifiedTime() {
        return this.modifiedTime;
    }
    /**
     * The method to set the value to modifiedTime
     * @param modifiedTime An instance of Date
     */
    setModifiedTime(modifiedTime) {
        this.modifiedTime = modifiedTime;
        this.keyModified.set("modified_time", 1);
    }
    /**
     * The method to get the modifiedBy
     * @returns An instance of User
     */
    getModifiedBy() {
        return this.modifiedBy;
    }
    /**
     * The method to set the value to modifiedBy
     * @param modifiedBy An instance of User
     */
    setModifiedBy(modifiedBy) {
        this.modifiedBy = modifiedBy;
        this.keyModified.set("modified_by", 1);
    }
    /**
     * The method to get the lastAccessedTime
     * @returns An instance of Date
     */
    getLastAccessedTime() {
        return this.lastAccessedTime;
    }
    /**
     * The method to set the value to lastAccessedTime
     * @param lastAccessedTime An instance of Date
     */
    setLastAccessedTime(lastAccessedTime) {
        this.lastAccessedTime = lastAccessedTime;
        this.keyModified.set("last_accessed_time", 1);
    }
    /**
     * The method to get the createdBy
     * @returns An instance of User
     */
    getCreatedBy() {
        return this.createdBy;
    }
    /**
     * The method to set the value to createdBy
     * @param createdBy An instance of User
     */
    setCreatedBy(createdBy) {
        this.createdBy = createdBy;
        this.keyModified.set("created_by", 1);
    }
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key) {
        if (this.keyModified.has(key)) {
            return this.keyModified.get(key);
        }
        return null;
    }
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key, modification) {
        this.keyModified.set(key, modification);
    }
}
exports.MasterModel = CustomView;
exports.CustomView = CustomView;
