import { Model } from "../../../../../../utils/util/model";
declare class Range implements Model {
    private from;
    private to;
    private keyModified;
    /**
     * The method to get the from
     * @returns A number representing the from
     */
    getFrom(): number;
    /**
     * The method to set the value to from
     * @param from A number representing the from
     */
    setFrom(from: number): void;
    /**
     * The method to get the to
     * @returns A number representing the to
     */
    getTo(): number;
    /**
     * The method to set the value to to
     * @param to A number representing the to
     */
    setTo(to: number): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Range as MasterModel, Range as Range };
