import { Model } from "../../../../../../utils/util/model";
declare class Translation implements Model {
    private publicViews;
    private otherUsersViews;
    private sharedWithMe;
    private createdByMe;
    private keyModified;
    /**
     * The method to get the publicViews
     * @returns A string representing the publicViews
     */
    getPublicViews(): string;
    /**
     * The method to set the value to publicViews
     * @param publicViews A string representing the publicViews
     */
    setPublicViews(publicViews: string): void;
    /**
     * The method to get the otherUsersViews
     * @returns A string representing the otherUsersViews
     */
    getOtherUsersViews(): string;
    /**
     * The method to set the value to otherUsersViews
     * @param otherUsersViews A string representing the otherUsersViews
     */
    setOtherUsersViews(otherUsersViews: string): void;
    /**
     * The method to get the sharedWithMe
     * @returns A string representing the sharedWithMe
     */
    getSharedWithMe(): string;
    /**
     * The method to set the value to sharedWithMe
     * @param sharedWithMe A string representing the sharedWithMe
     */
    setSharedWithMe(sharedWithMe: string): void;
    /**
     * The method to get the createdByMe
     * @returns A string representing the createdByMe
     */
    getCreatedByMe(): string;
    /**
     * The method to set the value to createdByMe
     * @param createdByMe A string representing the createdByMe
     */
    setCreatedByMe(createdByMe: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Translation as MasterModel, Translation as Translation };
