/**
 * This class is the common SDKException object.
*/
export declare class SDKException extends Error {
    private code;
    message: string;
    private details?;
    private cause;
    /**
     * @param {string} code - A String containing the Exception error code.
     * @param {string} message - A String containing the Exception error message.
     * @param {object} details - A key/value pair object containing the error response.
     * @param {Error} cause - A Error class instance.
    */
    constructor(code: string | null, message: string | null, details?: {
        [key: string]: any;
    } | null, cause?: any);
    toString(): string;
}
