import { ResponseHandler } from "./response_handler";
import { APIResponse } from "../../../../../../routes/controllers/api_response";
declare class FieldAttachmentsOperations {
    private fieldsAttachmentId?;
    private recordId;
    private moduleAPIName;
    /**
     * Creates an instance of FieldAttachmentsOperations with the given parameters
     * @param moduleAPIName A string representing the moduleAPIName
     * @param recordId A bigint representing the recordId
     * @param fieldsAttachmentId A bigint representing the fieldsAttachmentId
     */
    constructor(moduleAPIName: string, recordId: bigint, fieldsAttachmentId?: bigint);
    /**
     * The method to get field attachments
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getFieldAttachments(): Promise<APIResponse<ResponseHandler>>;
}
declare class GetFieldAttachmentsParam {
}
export { FieldAttachmentsOperations as MasterModel, FieldAttachmentsOperations as FieldAttachmentsOperations, GetFieldAttachmentsParam as GetFieldAttachmentsParam };
