import { LookupField } from "./lookup_field";
import { Model } from "../../../../../../utils/util/model";
declare class AssociationDetails implements Model {
    private lookupField;
    private relatedField;
    private keyModified;
    /**
     * The method to get the lookupField
     * @returns An instance of LookupField
     */
    getLookupField(): LookupField;
    /**
     * The method to set the value to lookupField
     * @param lookupField An instance of LookupField
     */
    setLookupField(lookupField: LookupField): void;
    /**
     * The method to get the relatedField
     * @returns An instance of LookupField
     */
    getRelatedField(): LookupField;
    /**
     * The method to set the value to relatedField
     * @param relatedField An instance of LookupField
     */
    setRelatedField(relatedField: LookupField): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { AssociationDetails as MasterModel, AssociationDetails as AssociationDetails };
