import { Model } from "../../../../../../utils/util/model";
declare class AutoNumber implements Model {
    private prefix;
    private suffix;
    private startNumber;
    private keyModified;
    /**
     * The method to get the prefix
     * @returns A string representing the prefix
     */
    getPrefix(): string;
    /**
     * The method to set the value to prefix
     * @param prefix A string representing the prefix
     */
    setPrefix(prefix: string): void;
    /**
     * The method to get the suffix
     * @returns A string representing the suffix
     */
    getSuffix(): string;
    /**
     * The method to set the value to suffix
     * @param suffix A string representing the suffix
     */
    setSuffix(suffix: string): void;
    /**
     * The method to get the startNumber
     * @returns A number representing the startNumber
     */
    getStartNumber(): number;
    /**
     * The method to set the value to startNumber
     * @param startNumber A number representing the startNumber
     */
    setStartNumber(startNumber: number): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { AutoNumber as MasterModel, AutoNumber as AutoNumber };
