import { Model } from "../../../../../../utils/util/model";
declare class Crypt implements Model {
    private mode;
    private column;
    private encfldids;
    private notify;
    private table;
    private status;
    private keyModified;
    /**
     * The method to get the mode
     * @returns A string representing the mode
     */
    getMode(): string;
    /**
     * The method to set the value to mode
     * @param mode A string representing the mode
     */
    setMode(mode: string): void;
    /**
     * The method to get the column
     * @returns A string representing the column
     */
    getColumn(): string;
    /**
     * The method to set the value to column
     * @param column A string representing the column
     */
    setColumn(column: string): void;
    /**
     * The method to get the encfldids
     * @returns An Array representing the encfldids
     */
    getEncfldids(): Array<string>;
    /**
     * The method to set the value to encfldids
     * @param encfldids An Array representing the encfldids
     */
    setEncfldids(encfldids: Array<string>): void;
    /**
     * The method to get the notify
     * @returns A string representing the notify
     */
    getNotify(): string;
    /**
     * The method to set the value to notify
     * @param notify A string representing the notify
     */
    setNotify(notify: string): void;
    /**
     * The method to get the table
     * @returns A string representing the table
     */
    getTable(): string;
    /**
     * The method to set the value to table
     * @param table A string representing the table
     */
    setTable(table: string): void;
    /**
     * The method to get the status
     * @returns A number representing the status
     */
    getStatus(): number;
    /**
     * The method to set the value to status
     * @param status A number representing the status
     */
    setStatus(status: number): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Crypt as MasterModel, Crypt as Crypt };
