import { Model } from "../../../../../../utils/util/model";
declare class Currency implements Model {
    private roundingOption;
    private precision;
    private keyModified;
    /**
     * The method to get the roundingOption
     * @returns A string representing the roundingOption
     */
    getRoundingOption(): string;
    /**
     * The method to set the value to roundingOption
     * @param roundingOption A string representing the roundingOption
     */
    setRoundingOption(roundingOption: string): void;
    /**
     * The method to get the precision
     * @returns A number representing the precision
     */
    getPrecision(): number;
    /**
     * The method to set the value to precision
     * @param precision A number representing the precision
     */
    setPrecision(precision: number): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Currency as MasterModel, Currency as Currency };
