import { Model } from "../../../../../../utils/util/model";
declare class Formula implements Model {
    private returnType;
    private expression;
    private keyModified;
    /**
     * The method to get the returnType
     * @returns A string representing the returnType
     */
    getReturnType(): string;
    /**
     * The method to set the value to returnType
     * @param returnType A string representing the returnType
     */
    setReturnType(returnType: string): void;
    /**
     * The method to get the expression
     * @returns A string representing the expression
     */
    getExpression(): string;
    /**
     * The method to set the value to expression
     * @param expression A string representing the expression
     */
    setExpression(expression: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Formula as MasterModel, Formula as Formula };
