import { PickListValue } from "./pick_list_value";
import { Model } from "../../../../../../utils/util/model";
declare class Maps implements Model {
    private apiName;
    private pickListValues;
    private keyModified;
    /**
     * The method to get the apiName
     * @returns A string representing the apiName
     */
    getAPIName(): string;
    /**
     * The method to set the value to apiName
     * @param apiName A string representing the apiName
     */
    setAPIName(apiName: string): void;
    /**
     * The method to get the pickListValues
     * @returns An Array representing the pickListValues
     */
    getPickListValues(): Array<PickListValue>;
    /**
     * The method to set the value to pickListValues
     * @param pickListValues An Array representing the pickListValues
     */
    setPickListValues(pickListValues: Array<PickListValue>): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Maps as MasterModel, Maps as Maps };
