import { Model } from "../../../../../../utils/util/model";
declare class Private implements Model {
    private restricted;
    private export1;
    private type;
    private keyModified;
    /**
     * The method to get the restricted
     * @returns A boolean representing the restricted
     */
    getRestricted(): boolean;
    /**
     * The method to set the value to restricted
     * @param restricted A boolean representing the restricted
     */
    setRestricted(restricted: boolean): void;
    /**
     * The method to get the export
     * @returns A boolean representing the export1
     */
    getExport(): boolean;
    /**
     * The method to set the value to export
     * @param export1 A boolean representing the export1
     */
    setExport(export1: boolean): void;
    /**
     * The method to get the type
     * @returns A string representing the type
     */
    getType(): string;
    /**
     * The method to set the value to type
     * @param type A string representing the type
     */
    setType(type: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Private as MasterModel, Private as Private };
