import { Model } from "../../../../../../utils/util/model";
declare class ViewType implements Model {
    private view;
    private edit;
    private create;
    private quickCreate;
    private keyModified;
    /**
     * The method to get the view
     * @returns A boolean representing the view
     */
    getView(): boolean;
    /**
     * The method to set the value to view
     * @param view A boolean representing the view
     */
    setView(view: boolean): void;
    /**
     * The method to get the edit
     * @returns A boolean representing the edit
     */
    getEdit(): boolean;
    /**
     * The method to set the value to edit
     * @param edit A boolean representing the edit
     */
    setEdit(edit: boolean): void;
    /**
     * The method to get the create
     * @returns A boolean representing the create
     */
    getCreate(): boolean;
    /**
     * The method to set the value to create
     * @param create A boolean representing the create
     */
    setCreate(create: boolean): void;
    /**
     * The method to get the quickCreate
     * @returns A boolean representing the quickCreate
     */
    getQuickCreate(): boolean;
    /**
     * The method to set the value to quickCreate
     * @param quickCreate A boolean representing the quickCreate
     */
    setQuickCreate(quickCreate: boolean): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { ViewType as MasterModel, ViewType as ViewType };
