import { Module } from "../modules/module";
import { Template } from "../send_mail/template";
import { User } from "../users/user";
import { Model } from "../../../../../../utils/util/model";
declare class InventoryTemplate implements Template, Model {
    private content;
    private createdTime;
    private subject;
    private module;
    private type;
    private createdBy;
    private modifiedTime;
    private lastUsageTime;
    private associated;
    private name;
    private modifiedBy;
    private description;
    private id;
    private editorMode;
    private favorite;
    private folder;
    private keyModified;
    /**
     * The method to get the content
     * @returns A string representing the content
     */
    getContent(): string;
    /**
     * The method to set the value to content
     * @param content A string representing the content
     */
    setContent(content: string): void;
    /**
     * The method to get the createdTime
     * @returns An instance of Date
     */
    getCreatedTime(): Date;
    /**
     * The method to set the value to createdTime
     * @param createdTime An instance of Date
     */
    setCreatedTime(createdTime: Date): void;
    /**
     * The method to get the subject
     * @returns A string representing the subject
     */
    getSubject(): string;
    /**
     * The method to set the value to subject
     * @param subject A string representing the subject
     */
    setSubject(subject: string): void;
    /**
     * The method to get the module
     * @returns An instance of Module
     */
    getModule(): Module;
    /**
     * The method to set the value to module
     * @param module An instance of Module
     */
    setModule(module: Module): void;
    /**
     * The method to get the type
     * @returns A string representing the type
     */
    getType(): string;
    /**
     * The method to set the value to type
     * @param type A string representing the type
     */
    setType(type: string): void;
    /**
     * The method to get the createdBy
     * @returns An instance of User
     */
    getCreatedBy(): User;
    /**
     * The method to set the value to createdBy
     * @param createdBy An instance of User
     */
    setCreatedBy(createdBy: User): void;
    /**
     * The method to get the modifiedTime
     * @returns An instance of Date
     */
    getModifiedTime(): Date;
    /**
     * The method to set the value to modifiedTime
     * @param modifiedTime An instance of Date
     */
    setModifiedTime(modifiedTime: Date): void;
    /**
     * The method to get the lastUsageTime
     * @returns An instance of Date
     */
    getLastUsageTime(): Date;
    /**
     * The method to set the value to lastUsageTime
     * @param lastUsageTime An instance of Date
     */
    setLastUsageTime(lastUsageTime: Date): void;
    /**
     * The method to get the associated
     * @returns A boolean representing the associated
     */
    getAssociated(): boolean;
    /**
     * The method to set the value to associated
     * @param associated A boolean representing the associated
     */
    setAssociated(associated: boolean): void;
    /**
     * The method to get the name
     * @returns A string representing the name
     */
    getName(): string;
    /**
     * The method to set the value to name
     * @param name A string representing the name
     */
    setName(name: string): void;
    /**
     * The method to get the modifiedBy
     * @returns An instance of User
     */
    getModifiedBy(): User;
    /**
     * The method to set the value to modifiedBy
     * @param modifiedBy An instance of User
     */
    setModifiedBy(modifiedBy: User): void;
    /**
     * The method to get the description
     * @returns A string representing the description
     */
    getDescription(): string;
    /**
     * The method to set the value to description
     * @param description A string representing the description
     */
    setDescription(description: string): void;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the editorMode
     * @returns A string representing the editorMode
     */
    getEditorMode(): string;
    /**
     * The method to set the value to editorMode
     * @param editorMode A string representing the editorMode
     */
    setEditorMode(editorMode: string): void;
    /**
     * The method to get the favorite
     * @returns A boolean representing the favorite
     */
    getFavorite(): boolean;
    /**
     * The method to set the value to favorite
     * @param favorite A boolean representing the favorite
     */
    setFavorite(favorite: boolean): void;
    /**
     * The method to get the folder
     * @returns An instance of InventoryTemplate
     */
    getFolder(): InventoryTemplate;
    /**
     * The method to set the value to folder
     * @param folder An instance of InventoryTemplate
     */
    setFolder(folder: InventoryTemplate): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { InventoryTemplate as MasterModel, InventoryTemplate as InventoryTemplate };
