import { ResponseHandler } from "./response_handler";
import { Param } from "../../../../../../routes/param";
import { ParameterMap } from "../../../../../../routes/parameter_map";
import { APIResponse } from "../../../../../../routes/controllers/api_response";
declare class InventoryTemplatesOperations {
    private sortBy?;
    private sortOrder?;
    private category?;
    /**
     * Creates an instance of InventoryTemplatesOperations with the given parameters
     * @param sortBy A string representing the sortBy
     * @param sortOrder A string representing the sortOrder
     * @param category A string representing the category
     */
    constructor(sortBy?: string, sortOrder?: string, category?: string);
    /**
     * The method to get inventory templates
     * @param paramInstance An instance of ParameterMap
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getInventoryTemplates(paramInstance?: ParameterMap): Promise<APIResponse<ResponseHandler>>;
    /**
     * The method to get inventory template by id
     * @param id A bigint representing the id
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getInventoryTemplateById(id: bigint): Promise<APIResponse<ResponseHandler>>;
}
declare class GetInventoryTemplatesParam {
    static MODULE: Param<string>;
}
declare class GetInventoryTemplatebyIDParam {
}
export { GetInventoryTemplatebyIDParam as GetInventoryTemplatebyIDParam, InventoryTemplatesOperations as MasterModel, InventoryTemplatesOperations as InventoryTemplatesOperations, GetInventoryTemplatesParam as GetInventoryTemplatesParam };
