import { ToolTip } from "../fields/tool_tip";
import { Model } from "../../../../../../utils/util/model";
declare class Properties implements Model {
    private reorderRows;
    private tooltip;
    private maximumRows;
    private keyModified;
    /**
     * The method to get the reorderRows
     * @returns A boolean representing the reorderRows
     */
    getReorderRows(): boolean;
    /**
     * The method to set the value to reorderRows
     * @param reorderRows A boolean representing the reorderRows
     */
    setReorderRows(reorderRows: boolean): void;
    /**
     * The method to get the tooltip
     * @returns An instance of ToolTip
     */
    getTooltip(): ToolTip;
    /**
     * The method to set the value to tooltip
     * @param tooltip An instance of ToolTip
     */
    setTooltip(tooltip: ToolTip): void;
    /**
     * The method to get the maximumRows
     * @returns A number representing the maximumRows
     */
    getMaximumRows(): number;
    /**
     * The method to set the value to maximumRows
     * @param maximumRows A number representing the maximumRows
     */
    setMaximumRows(maximumRows: number): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Properties as MasterModel, Properties as Properties };
