import { CustomView } from "../custom_views/custom_view";
import { Argument } from "./argument";
import { RelatedListProperties } from "./related_list_properties";
import { Territory } from "./territory";
import { Profile } from "../profiles/profile";
import { User } from "../users/user";
import { Choice } from "../../../../../../utils/util/choice";
import { Model } from "../../../../../../utils/util/model";
declare class Module implements Model {
    private name;
    private globalSearchSupported;
    private kanbanView;
    private deletable;
    private description;
    private creatable;
    private filterStatus;
    private inventoryTemplateSupported;
    private modifiedTime;
    private pluralLabel;
    private presenceSubMenu;
    private isblueprintsupported;
    private triggersSupported;
    private id;
    private relatedListProperties;
    private properties;
    private onDemandProperties;
    private perPage;
    private visibility;
    private visible;
    private convertable;
    private editable;
    private emailtemplateSupport;
    private profiles;
    private filterSupported;
    private displayField;
    private searchLayoutFields;
    private kanbanViewSupported;
    private showAsTab;
    private webLink;
    private sequenceNumber;
    private singularLabel;
    private viewable;
    private apiSupported;
    private apiName;
    private quickCreate;
    private modifiedBy;
    private generatedType;
    private feedsRequired;
    private scoringSupported;
    private webformSupported;
    private arguments1;
    private moduleName;
    private businessCardFieldLimit;
    private customView;
    private parentModule;
    private territory;
    private keyModified;
    /**
     * The method to get the name
     * @returns A string representing the name
     */
    getName(): string;
    /**
     * The method to set the value to name
     * @param name A string representing the name
     */
    setName(name: string): void;
    /**
     * The method to get the globalSearchSupported
     * @returns A boolean representing the globalSearchSupported
     */
    getGlobalSearchSupported(): boolean;
    /**
     * The method to set the value to globalSearchSupported
     * @param globalSearchSupported A boolean representing the globalSearchSupported
     */
    setGlobalSearchSupported(globalSearchSupported: boolean): void;
    /**
     * The method to get the kanbanView
     * @returns A boolean representing the kanbanView
     */
    getKanbanView(): boolean;
    /**
     * The method to set the value to kanbanView
     * @param kanbanView A boolean representing the kanbanView
     */
    setKanbanView(kanbanView: boolean): void;
    /**
     * The method to get the deletable
     * @returns A boolean representing the deletable
     */
    getDeletable(): boolean;
    /**
     * The method to set the value to deletable
     * @param deletable A boolean representing the deletable
     */
    setDeletable(deletable: boolean): void;
    /**
     * The method to get the description
     * @returns A string representing the description
     */
    getDescription(): string;
    /**
     * The method to set the value to description
     * @param description A string representing the description
     */
    setDescription(description: string): void;
    /**
     * The method to get the creatable
     * @returns A boolean representing the creatable
     */
    getCreatable(): boolean;
    /**
     * The method to set the value to creatable
     * @param creatable A boolean representing the creatable
     */
    setCreatable(creatable: boolean): void;
    /**
     * The method to get the filterStatus
     * @returns A boolean representing the filterStatus
     */
    getFilterStatus(): boolean;
    /**
     * The method to set the value to filterStatus
     * @param filterStatus A boolean representing the filterStatus
     */
    setFilterStatus(filterStatus: boolean): void;
    /**
     * The method to get the inventoryTemplateSupported
     * @returns A boolean representing the inventoryTemplateSupported
     */
    getInventoryTemplateSupported(): boolean;
    /**
     * The method to set the value to inventoryTemplateSupported
     * @param inventoryTemplateSupported A boolean representing the inventoryTemplateSupported
     */
    setInventoryTemplateSupported(inventoryTemplateSupported: boolean): void;
    /**
     * The method to get the modifiedTime
     * @returns An instance of Date
     */
    getModifiedTime(): Date;
    /**
     * The method to set the value to modifiedTime
     * @param modifiedTime An instance of Date
     */
    setModifiedTime(modifiedTime: Date): void;
    /**
     * The method to get the pluralLabel
     * @returns A string representing the pluralLabel
     */
    getPluralLabel(): string;
    /**
     * The method to set the value to pluralLabel
     * @param pluralLabel A string representing the pluralLabel
     */
    setPluralLabel(pluralLabel: string): void;
    /**
     * The method to get the presenceSubMenu
     * @returns A boolean representing the presenceSubMenu
     */
    getPresenceSubMenu(): boolean;
    /**
     * The method to set the value to presenceSubMenu
     * @param presenceSubMenu A boolean representing the presenceSubMenu
     */
    setPresenceSubMenu(presenceSubMenu: boolean): void;
    /**
     * The method to get the isblueprintsupported
     * @returns A boolean representing the isblueprintsupported
     */
    getIsblueprintsupported(): boolean;
    /**
     * The method to set the value to isblueprintsupported
     * @param isblueprintsupported A boolean representing the isblueprintsupported
     */
    setIsblueprintsupported(isblueprintsupported: boolean): void;
    /**
     * The method to get the triggersSupported
     * @returns A boolean representing the triggersSupported
     */
    getTriggersSupported(): boolean;
    /**
     * The method to set the value to triggersSupported
     * @param triggersSupported A boolean representing the triggersSupported
     */
    setTriggersSupported(triggersSupported: boolean): void;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the relatedListProperties
     * @returns An instance of RelatedListProperties
     */
    getRelatedListProperties(): RelatedListProperties;
    /**
     * The method to set the value to relatedListProperties
     * @param relatedListProperties An instance of RelatedListProperties
     */
    setRelatedListProperties(relatedListProperties: RelatedListProperties): void;
    /**
     * The method to get the properties
     * @returns An Array representing the properties
     */
    getProperties(): Array<string>;
    /**
     * The method to set the value to properties
     * @param properties An Array representing the properties
     */
    setProperties(properties: Array<string>): void;
    /**
     * The method to get the onDemandProperties
     * @returns An Array representing the onDemandProperties
     */
    getOnDemandProperties(): Array<string>;
    /**
     * The method to set the value to onDemandProperties
     * @param onDemandProperties An Array representing the onDemandProperties
     */
    setOnDemandProperties(onDemandProperties: Array<string>): void;
    /**
     * The method to get the perPage
     * @returns A number representing the perPage
     */
    getPerPage(): number;
    /**
     * The method to set the value to perPage
     * @param perPage A number representing the perPage
     */
    setPerPage(perPage: number): void;
    /**
     * The method to get the visibility
     * @returns A number representing the visibility
     */
    getVisibility(): number;
    /**
     * The method to set the value to visibility
     * @param visibility A number representing the visibility
     */
    setVisibility(visibility: number): void;
    /**
     * The method to get the visible
     * @returns A boolean representing the visible
     */
    getVisible(): boolean;
    /**
     * The method to set the value to visible
     * @param visible A boolean representing the visible
     */
    setVisible(visible: boolean): void;
    /**
     * The method to get the convertable
     * @returns A boolean representing the convertable
     */
    getConvertable(): boolean;
    /**
     * The method to set the value to convertable
     * @param convertable A boolean representing the convertable
     */
    setConvertable(convertable: boolean): void;
    /**
     * The method to get the editable
     * @returns A boolean representing the editable
     */
    getEditable(): boolean;
    /**
     * The method to set the value to editable
     * @param editable A boolean representing the editable
     */
    setEditable(editable: boolean): void;
    /**
     * The method to get the emailtemplateSupport
     * @returns A boolean representing the emailtemplateSupport
     */
    getEmailtemplateSupport(): boolean;
    /**
     * The method to set the value to emailtemplateSupport
     * @param emailtemplateSupport A boolean representing the emailtemplateSupport
     */
    setEmailtemplateSupport(emailtemplateSupport: boolean): void;
    /**
     * The method to get the profiles
     * @returns An Array representing the profiles
     */
    getProfiles(): Array<Profile>;
    /**
     * The method to set the value to profiles
     * @param profiles An Array representing the profiles
     */
    setProfiles(profiles: Array<Profile>): void;
    /**
     * The method to get the filterSupported
     * @returns A boolean representing the filterSupported
     */
    getFilterSupported(): boolean;
    /**
     * The method to set the value to filterSupported
     * @param filterSupported A boolean representing the filterSupported
     */
    setFilterSupported(filterSupported: boolean): void;
    /**
     * The method to get the displayField
     * @returns A string representing the displayField
     */
    getDisplayField(): string;
    /**
     * The method to set the value to displayField
     * @param displayField A string representing the displayField
     */
    setDisplayField(displayField: string): void;
    /**
     * The method to get the searchLayoutFields
     * @returns An Array representing the searchLayoutFields
     */
    getSearchLayoutFields(): Array<string>;
    /**
     * The method to set the value to searchLayoutFields
     * @param searchLayoutFields An Array representing the searchLayoutFields
     */
    setSearchLayoutFields(searchLayoutFields: Array<string>): void;
    /**
     * The method to get the kanbanViewSupported
     * @returns A boolean representing the kanbanViewSupported
     */
    getKanbanViewSupported(): boolean;
    /**
     * The method to set the value to kanbanViewSupported
     * @param kanbanViewSupported A boolean representing the kanbanViewSupported
     */
    setKanbanViewSupported(kanbanViewSupported: boolean): void;
    /**
     * The method to get the showAsTab
     * @returns A boolean representing the showAsTab
     */
    getShowAsTab(): boolean;
    /**
     * The method to set the value to showAsTab
     * @param showAsTab A boolean representing the showAsTab
     */
    setShowAsTab(showAsTab: boolean): void;
    /**
     * The method to get the webLink
     * @returns A string representing the webLink
     */
    getWebLink(): string;
    /**
     * The method to set the value to webLink
     * @param webLink A string representing the webLink
     */
    setWebLink(webLink: string): void;
    /**
     * The method to get the sequenceNumber
     * @returns A number representing the sequenceNumber
     */
    getSequenceNumber(): number;
    /**
     * The method to set the value to sequenceNumber
     * @param sequenceNumber A number representing the sequenceNumber
     */
    setSequenceNumber(sequenceNumber: number): void;
    /**
     * The method to get the singularLabel
     * @returns A string representing the singularLabel
     */
    getSingularLabel(): string;
    /**
     * The method to set the value to singularLabel
     * @param singularLabel A string representing the singularLabel
     */
    setSingularLabel(singularLabel: string): void;
    /**
     * The method to get the viewable
     * @returns A boolean representing the viewable
     */
    getViewable(): boolean;
    /**
     * The method to set the value to viewable
     * @param viewable A boolean representing the viewable
     */
    setViewable(viewable: boolean): void;
    /**
     * The method to get the apiSupported
     * @returns A boolean representing the apiSupported
     */
    getAPISupported(): boolean;
    /**
     * The method to set the value to apiSupported
     * @param apiSupported A boolean representing the apiSupported
     */
    setAPISupported(apiSupported: boolean): void;
    /**
     * The method to get the apiName
     * @returns A string representing the apiName
     */
    getAPIName(): string;
    /**
     * The method to set the value to apiName
     * @param apiName A string representing the apiName
     */
    setAPIName(apiName: string): void;
    /**
     * The method to get the quickCreate
     * @returns A boolean representing the quickCreate
     */
    getQuickCreate(): boolean;
    /**
     * The method to set the value to quickCreate
     * @param quickCreate A boolean representing the quickCreate
     */
    setQuickCreate(quickCreate: boolean): void;
    /**
     * The method to get the modifiedBy
     * @returns An instance of User
     */
    getModifiedBy(): User;
    /**
     * The method to set the value to modifiedBy
     * @param modifiedBy An instance of User
     */
    setModifiedBy(modifiedBy: User): void;
    /**
     * The method to get the generatedType
     * @returns An instance of Choice<string>
     */
    getGeneratedType(): Choice<string>;
    /**
     * The method to set the value to generatedType
     * @param generatedType An instance of Choice<string>
     */
    setGeneratedType(generatedType: Choice<string>): void;
    /**
     * The method to get the feedsRequired
     * @returns A boolean representing the feedsRequired
     */
    getFeedsRequired(): boolean;
    /**
     * The method to set the value to feedsRequired
     * @param feedsRequired A boolean representing the feedsRequired
     */
    setFeedsRequired(feedsRequired: boolean): void;
    /**
     * The method to get the scoringSupported
     * @returns A boolean representing the scoringSupported
     */
    getScoringSupported(): boolean;
    /**
     * The method to set the value to scoringSupported
     * @param scoringSupported A boolean representing the scoringSupported
     */
    setScoringSupported(scoringSupported: boolean): void;
    /**
     * The method to get the webformSupported
     * @returns A boolean representing the webformSupported
     */
    getWebformSupported(): boolean;
    /**
     * The method to set the value to webformSupported
     * @param webformSupported A boolean representing the webformSupported
     */
    setWebformSupported(webformSupported: boolean): void;
    /**
     * The method to get the arguments
     * @returns An Array representing the arguments1
     */
    getArguments(): Array<Argument>;
    /**
     * The method to set the value to arguments
     * @param arguments1 An Array representing the arguments1
     */
    setArguments(arguments1: Array<Argument>): void;
    /**
     * The method to get the moduleName
     * @returns A string representing the moduleName
     */
    getModuleName(): string;
    /**
     * The method to set the value to moduleName
     * @param moduleName A string representing the moduleName
     */
    setModuleName(moduleName: string): void;
    /**
     * The method to get the businessCardFieldLimit
     * @returns A number representing the businessCardFieldLimit
     */
    getBusinessCardFieldLimit(): number;
    /**
     * The method to set the value to businessCardFieldLimit
     * @param businessCardFieldLimit A number representing the businessCardFieldLimit
     */
    setBusinessCardFieldLimit(businessCardFieldLimit: number): void;
    /**
     * The method to get the customView
     * @returns An instance of CustomView
     */
    getCustomView(): CustomView;
    /**
     * The method to set the value to customView
     * @param customView An instance of CustomView
     */
    setCustomView(customView: CustomView): void;
    /**
     * The method to get the parentModule
     * @returns An instance of Module
     */
    getParentModule(): Module;
    /**
     * The method to set the value to parentModule
     * @param parentModule An instance of Module
     */
    setParentModule(parentModule: Module): void;
    /**
     * The method to get the territory
     * @returns An instance of Territory
     */
    getTerritory(): Territory;
    /**
     * The method to set the value to territory
     * @param territory An instance of Territory
     */
    setTerritory(territory: Territory): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Module as MasterModel, Module as Module };
