import { Model } from "../../../../../../utils/util/model";
declare class RelatedListProperties implements Model {
    private sortBy;
    private fields;
    private sortOrder;
    private keyModified;
    /**
     * The method to get the sortBy
     * @returns A string representing the sortBy
     */
    getSortBy(): string;
    /**
     * The method to set the value to sortBy
     * @param sortBy A string representing the sortBy
     */
    setSortBy(sortBy: string): void;
    /**
     * The method to get the fields
     * @returns An Array representing the fields
     */
    getFields(): Array<string>;
    /**
     * The method to set the value to fields
     * @param fields An Array representing the fields
     */
    setFields(fields: Array<string>): void;
    /**
     * The method to get the sortOrder
     * @returns A string representing the sortOrder
     */
    getSortOrder(): string;
    /**
     * The method to set the value to sortOrder
     * @param sortOrder A string representing the sortOrder
     */
    setSortOrder(sortOrder: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { RelatedListProperties as MasterModel, RelatedListProperties as RelatedListProperties };
