import { Header } from "../../../../../../routes/header";
import { HeaderMap } from "../../../../../../routes/header_map";
import { ActionHandler } from "./action_handler";
import { BodyWrapper } from "./body_wrapper";
import { ResponseHandler } from "./response_handler";
import { Param } from "../../../../../../routes/param";
import { ParameterMap } from "../../../../../../routes/parameter_map";
import { APIResponse } from "../../../../../../routes/controllers/api_response";
declare class NotesOperations {
    /**
     * The method to get notes
     * @param paramInstance An instance of ParameterMap
     * @param headerInstance An instance of HeaderMap
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getNotes(paramInstance?: ParameterMap, headerInstance?: HeaderMap): Promise<APIResponse<ResponseHandler>>;
    /**
     * The method to create notes
     * @param request An instance of BodyWrapper
     * @returns An instance of APIResponse<ActionHandler>
     * @throws SDKException
     */
    createNotes(request: BodyWrapper): Promise<APIResponse<ActionHandler>>;
    /**
     * The method to update notes
     * @param request An instance of BodyWrapper
     * @returns An instance of APIResponse<ActionHandler>
     * @throws SDKException
     */
    updateNotes(request: BodyWrapper): Promise<APIResponse<ActionHandler>>;
    /**
     * The method to delete notes
     * @param paramInstance An instance of ParameterMap
     * @returns An instance of APIResponse<ActionHandler>
     * @throws SDKException
     */
    deleteNotes(paramInstance?: ParameterMap): Promise<APIResponse<ActionHandler>>;
    /**
     * The method to get note
     * @param id A bigint representing the id
     * @param paramInstance An instance of ParameterMap
     * @param headerInstance An instance of HeaderMap
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getNote(id: bigint, paramInstance?: ParameterMap, headerInstance?: HeaderMap): Promise<APIResponse<ResponseHandler>>;
    /**
     * The method to update note
     * @param id A bigint representing the id
     * @param request An instance of BodyWrapper
     * @returns An instance of APIResponse<ActionHandler>
     * @throws SDKException
     */
    updateNote(id: bigint, request: BodyWrapper): Promise<APIResponse<ActionHandler>>;
    /**
     * The method to delete note
     * @param id A bigint representing the id
     * @returns An instance of APIResponse<ActionHandler>
     * @throws SDKException
     */
    deleteNote(id: bigint): Promise<APIResponse<ActionHandler>>;
}
declare class GetNotesParam {
    static PAGE: Param<number>;
    static PER_PAGE: Param<number>;
    static FIELDS: Param<string>;
    static SORT_ORDER: Param<string>;
    static SORT_BY: Param<string>;
}
declare class GetNotesHeader {
    static IF_MODIFIED_SINCE: Header<Date>;
}
declare class DeleteNotesParam {
    static IDS: Param<bigint>;
}
declare class GetNoteParam {
    static FIELDS: Param<string>;
}
declare class GetNoteHeader {
    static IF_MODIFIED_SINCE: Header<Date>;
}
export { GetNotesHeader as GetNotesHeader, GetNoteParam as GetNoteParam, GetNoteHeader as GetNoteHeader, GetNotesParam as GetNotesParam, NotesOperations as MasterModel, NotesOperations as NotesOperations, DeleteNotesParam as DeleteNotesParam };
