import { ForecastCategory } from "./forecast_category";
import { Model } from "../../../../../../utils/util/model";
declare class PickListValue implements Model {
    private displayValue;
    private delete1;
    private sequenceNumber;
    private actualValue;
    private id;
    private forecastType;
    private forecastCategory;
    private keyModified;
    /**
     * The method to get the displayValue
     * @returns A string representing the displayValue
     */
    getDisplayValue(): string;
    /**
     * The method to set the value to displayValue
     * @param displayValue A string representing the displayValue
     */
    setDisplayValue(displayValue: string): void;
    /**
     * The method to get the delete
     * @returns A boolean representing the delete1
     */
    getDelete(): boolean;
    /**
     * The method to set the value to delete
     * @param delete1 A boolean representing the delete1
     */
    setDelete(delete1: boolean): void;
    /**
     * The method to get the sequenceNumber
     * @returns A number representing the sequenceNumber
     */
    getSequenceNumber(): number;
    /**
     * The method to set the value to sequenceNumber
     * @param sequenceNumber A number representing the sequenceNumber
     */
    setSequenceNumber(sequenceNumber: number): void;
    /**
     * The method to get the actualValue
     * @returns A string representing the actualValue
     */
    getActualValue(): string;
    /**
     * The method to set the value to actualValue
     * @param actualValue A string representing the actualValue
     */
    setActualValue(actualValue: string): void;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the forecastType
     * @returns A string representing the forecastType
     */
    getForecastType(): string;
    /**
     * The method to set the value to forecastType
     * @param forecastType A string representing the forecastType
     */
    setForecastType(forecastType: string): void;
    /**
     * The method to get the forecastCategory
     * @returns An instance of ForecastCategory
     */
    getForecastCategory(): ForecastCategory;
    /**
     * The method to set the value to forecastCategory
     * @param forecastCategory An instance of ForecastCategory
     */
    setForecastCategory(forecastCategory: ForecastCategory): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { PickListValue as MasterModel, PickListValue as PickListValue };
