import { PickListValue } from "./pick_list_value";
import { Model } from "../../../../../../utils/util/model";
declare class Pipeline implements Model {
    private from;
    private to;
    private parent;
    private childAvailable;
    private displayValue;
    private default1;
    private maps;
    private actualValue;
    private id;
    private keyModified;
    /**
     * The method to get the from
     * @returns A bigint representing the from
     */
    getFrom(): bigint;
    /**
     * The method to set the value to from
     * @param from A bigint representing the from
     */
    setFrom(from: bigint): void;
    /**
     * The method to get the to
     * @returns A bigint representing the to
     */
    getTo(): bigint;
    /**
     * The method to set the value to to
     * @param to A bigint representing the to
     */
    setTo(to: bigint): void;
    /**
     * The method to get the parent
     * @returns An instance of Pipeline
     */
    getParent(): Pipeline;
    /**
     * The method to set the value to parent
     * @param parent An instance of Pipeline
     */
    setParent(parent: Pipeline): void;
    /**
     * The method to get the childAvailable
     * @returns A boolean representing the childAvailable
     */
    getChildAvailable(): boolean;
    /**
     * The method to set the value to childAvailable
     * @param childAvailable A boolean representing the childAvailable
     */
    setChildAvailable(childAvailable: boolean): void;
    /**
     * The method to get the displayValue
     * @returns A string representing the displayValue
     */
    getDisplayValue(): string;
    /**
     * The method to set the value to displayValue
     * @param displayValue A string representing the displayValue
     */
    setDisplayValue(displayValue: string): void;
    /**
     * The method to get the default
     * @returns A boolean representing the default1
     */
    getDefault(): boolean;
    /**
     * The method to set the value to default
     * @param default1 A boolean representing the default1
     */
    setDefault(default1: boolean): void;
    /**
     * The method to get the maps
     * @returns An Array representing the maps
     */
    getMaps(): Array<PickListValue>;
    /**
     * The method to set the value to maps
     * @param maps An Array representing the maps
     */
    setMaps(maps: Array<PickListValue>): void;
    /**
     * The method to get the actualValue
     * @returns A string representing the actualValue
     */
    getActualValue(): string;
    /**
     * The method to set the value to actualValue
     * @param actualValue A string representing the actualValue
     */
    setActualValue(actualValue: string): void;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Pipeline as MasterModel, Pipeline as Pipeline };
