"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Pipeline = exports.MasterModel = void 0;
class Pipeline {
    constructor() {
        this.keyModified = new Map();
    }
    /**
     * The method to get the from
     * @returns A bigint representing the from
     */
    getFrom() {
        return this.from;
    }
    /**
     * The method to set the value to from
     * @param from A bigint representing the from
     */
    setFrom(from) {
        this.from = from;
        this.keyModified.set("from", 1);
    }
    /**
     * The method to get the to
     * @returns A bigint representing the to
     */
    getTo() {
        return this.to;
    }
    /**
     * The method to set the value to to
     * @param to A bigint representing the to
     */
    setTo(to) {
        this.to = to;
        this.keyModified.set("to", 1);
    }
    /**
     * The method to get the parent
     * @returns An instance of Pipeline
     */
    getParent() {
        return this.parent;
    }
    /**
     * The method to set the value to parent
     * @param parent An instance of Pipeline
     */
    setParent(parent) {
        this.parent = parent;
        this.keyModified.set("parent", 1);
    }
    /**
     * The method to get the childAvailable
     * @returns A boolean representing the childAvailable
     */
    getChildAvailable() {
        return this.childAvailable;
    }
    /**
     * The method to set the value to childAvailable
     * @param childAvailable A boolean representing the childAvailable
     */
    setChildAvailable(childAvailable) {
        this.childAvailable = childAvailable;
        this.keyModified.set("child_available", 1);
    }
    /**
     * The method to get the displayValue
     * @returns A string representing the displayValue
     */
    getDisplayValue() {
        return this.displayValue;
    }
    /**
     * The method to set the value to displayValue
     * @param displayValue A string representing the displayValue
     */
    setDisplayValue(displayValue) {
        this.displayValue = displayValue;
        this.keyModified.set("display_value", 1);
    }
    /**
     * The method to get the default
     * @returns A boolean representing the default1
     */
    getDefault() {
        return this.default1;
    }
    /**
     * The method to set the value to default
     * @param default1 A boolean representing the default1
     */
    setDefault(default1) {
        this.default1 = default1;
        this.keyModified.set("default", 1);
    }
    /**
     * The method to get the maps
     * @returns An Array representing the maps
     */
    getMaps() {
        return this.maps;
    }
    /**
     * The method to set the value to maps
     * @param maps An Array representing the maps
     */
    setMaps(maps) {
        this.maps = maps;
        this.keyModified.set("maps", 1);
    }
    /**
     * The method to get the actualValue
     * @returns A string representing the actualValue
     */
    getActualValue() {
        return this.actualValue;
    }
    /**
     * The method to set the value to actualValue
     * @param actualValue A string representing the actualValue
     */
    setActualValue(actualValue) {
        this.actualValue = actualValue;
        this.keyModified.set("actual_value", 1);
    }
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId() {
        return this.id;
    }
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id) {
        this.id = id;
        this.keyModified.set("id", 1);
    }
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key) {
        if (this.keyModified.has(key)) {
            return this.keyModified.get(key);
        }
        return null;
    }
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key, modification) {
        this.keyModified.set(key, modification);
    }
}
exports.MasterModel = Pipeline;
exports.Pipeline = Pipeline;
