import { Pipeline } from "./pipeline";
import { ResponseHandler } from "./response_handler";
import { Model } from "../../../../../../utils/util/model";
declare class ResponseWrapper implements Model, ResponseHandler {
    private pipeline;
    private keyModified;
    /**
     * The method to get the pipeline
     * @returns An Array representing the pipeline
     */
    getPipeline(): Array<Pipeline>;
    /**
     * The method to set the value to pipeline
     * @param pipeline An Array representing the pipeline
     */
    setPipeline(pipeline: Array<Pipeline>): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { ResponseWrapper as MasterModel, ResponseWrapper as ResponseWrapper };
