import { Model } from "../../../../../../utils/util/model";
declare class Stage implements Model {
    private from;
    private to;
    private keyModified;
    /**
     * The method to get the from
     * @returns A bigint representing the from
     */
    getFrom(): bigint;
    /**
     * The method to set the value to from
     * @param from A bigint representing the from
     */
    setFrom(from: bigint): void;
    /**
     * The method to get the to
     * @returns A bigint representing the to
     */
    getTo(): bigint;
    /**
     * The method to set the value to to
     * @param to A bigint representing the to
     */
    setTo(to: bigint): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Stage as MasterModel, Stage as Stage };
