import { Model } from "../../../../../../utils/util/model";
declare class DefaultView implements Model {
    private name;
    private id;
    private type;
    private keyModified;
    /**
     * The method to get the name
     * @returns A string representing the name
     */
    getName(): string;
    /**
     * The method to set the value to name
     * @param name A string representing the name
     */
    setName(name: string): void;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the type
     * @returns A string representing the type
     */
    getType(): string;
    /**
     * The method to set the value to type
     * @param type A string representing the type
     */
    setType(type: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { DefaultView as MasterModel, DefaultView as DefaultView };
