import { Model } from "../../../../../../utils/util/model";
declare class PermissionDetail implements Model {
    private displayLabel;
    private module;
    private name;
    private id;
    private enabled;
    private keyModified;
    /**
     * The method to get the displayLabel
     * @returns A string representing the displayLabel
     */
    getDisplayLabel(): string;
    /**
     * The method to set the value to displayLabel
     * @param displayLabel A string representing the displayLabel
     */
    setDisplayLabel(displayLabel: string): void;
    /**
     * The method to get the module
     * @returns A string representing the module
     */
    getModule(): string;
    /**
     * The method to set the value to module
     * @param module A string representing the module
     */
    setModule(module: string): void;
    /**
     * The method to get the name
     * @returns A string representing the name
     */
    getName(): string;
    /**
     * The method to set the value to name
     * @param name A string representing the name
     */
    setName(name: string): void;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the enabled
     * @returns A boolean representing the enabled
     */
    getEnabled(): boolean;
    /**
     * The method to set the value to enabled
     * @param enabled A boolean representing the enabled
     */
    setEnabled(enabled: boolean): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { PermissionDetail as MasterModel, PermissionDetail as PermissionDetail };
