import { DefaultView } from "./default_view";
import { PermissionDetail } from "./permission_detail";
import { Section } from "./section";
import { User } from "../users/user";
import { Model } from "../../../../../../utils/util/model";
declare class Profile implements Model {
    private displayLabel;
    private createdTime;
    private modifiedTime;
    private permissionsDetails;
    private name;
    private modifiedBy;
    private defaultview;
    private default1;
    private description;
    private id;
    private custom;
    private createdBy;
    private sections;
    private delete1;
    private permissionType;
    private keyModified;
    /**
     * The method to get the displayLabel
     * @returns A string representing the displayLabel
     */
    getDisplayLabel(): string;
    /**
     * The method to set the value to displayLabel
     * @param displayLabel A string representing the displayLabel
     */
    setDisplayLabel(displayLabel: string): void;
    /**
     * The method to get the createdTime
     * @returns An instance of Date
     */
    getCreatedTime(): Date;
    /**
     * The method to set the value to createdTime
     * @param createdTime An instance of Date
     */
    setCreatedTime(createdTime: Date): void;
    /**
     * The method to get the modifiedTime
     * @returns An instance of Date
     */
    getModifiedTime(): Date;
    /**
     * The method to set the value to modifiedTime
     * @param modifiedTime An instance of Date
     */
    setModifiedTime(modifiedTime: Date): void;
    /**
     * The method to get the permissionsDetails
     * @returns An Array representing the permissionsDetails
     */
    getPermissionsDetails(): Array<PermissionDetail>;
    /**
     * The method to set the value to permissionsDetails
     * @param permissionsDetails An Array representing the permissionsDetails
     */
    setPermissionsDetails(permissionsDetails: Array<PermissionDetail>): void;
    /**
     * The method to get the name
     * @returns A string representing the name
     */
    getName(): string;
    /**
     * The method to set the value to name
     * @param name A string representing the name
     */
    setName(name: string): void;
    /**
     * The method to get the modifiedBy
     * @returns An instance of User
     */
    getModifiedBy(): User;
    /**
     * The method to set the value to modifiedBy
     * @param modifiedBy An instance of User
     */
    setModifiedBy(modifiedBy: User): void;
    /**
     * The method to get the defaultview
     * @returns An instance of DefaultView
     */
    getDefaultview(): DefaultView;
    /**
     * The method to set the value to defaultview
     * @param defaultview An instance of DefaultView
     */
    setDefaultview(defaultview: DefaultView): void;
    /**
     * The method to get the default
     * @returns A boolean representing the default1
     */
    getDefault(): boolean;
    /**
     * The method to set the value to default
     * @param default1 A boolean representing the default1
     */
    setDefault(default1: boolean): void;
    /**
     * The method to get the description
     * @returns A string representing the description
     */
    getDescription(): string;
    /**
     * The method to set the value to description
     * @param description A string representing the description
     */
    setDescription(description: string): void;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the custom
     * @returns A boolean representing the custom
     */
    getCustom(): boolean;
    /**
     * The method to set the value to custom
     * @param custom A boolean representing the custom
     */
    setCustom(custom: boolean): void;
    /**
     * The method to get the createdBy
     * @returns An instance of User
     */
    getCreatedBy(): User;
    /**
     * The method to set the value to createdBy
     * @param createdBy An instance of User
     */
    setCreatedBy(createdBy: User): void;
    /**
     * The method to get the sections
     * @returns An Array representing the sections
     */
    getSections(): Array<Section>;
    /**
     * The method to set the value to sections
     * @param sections An Array representing the sections
     */
    setSections(sections: Array<Section>): void;
    /**
     * The method to get the delete
     * @returns A boolean representing the delete1
     */
    getDelete(): boolean;
    /**
     * The method to set the value to delete
     * @param delete1 A boolean representing the delete1
     */
    setDelete(delete1: boolean): void;
    /**
     * The method to get the permissionType
     * @returns A string representing the permissionType
     */
    getPermissionType(): string;
    /**
     * The method to set the value to permissionType
     * @param permissionType A string representing the permissionType
     */
    setPermissionType(permissionType: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Profile as MasterModel, Profile as Profile };
