import { ResponseHandler } from "./response_handler";
import { APIResponse } from "../../../../../../routes/controllers/api_response";
declare class ProfilesOperations {
    private ifModifiedSince?;
    /**
     * Creates an instance of ProfilesOperations with the given parameters
     * @param ifModifiedSince An instance of Date
     */
    constructor(ifModifiedSince?: Date);
    /**
     * The method to get profiles
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getProfiles(): Promise<APIResponse<ResponseHandler>>;
    /**
     * The method to get profile
     * @param id A bigint representing the id
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getProfile(id: bigint): Promise<APIResponse<ResponseHandler>>;
}
declare class GetProfilesHeader {
}
declare class GetProfileHeader {
}
export { GetProfilesHeader as GetProfilesHeader, GetProfileHeader as GetProfileHeader, ProfilesOperations as MasterModel, ProfilesOperations as ProfilesOperations };
