import { ActionHandler } from "./action_handler";
import { ActionResponse } from "./action_response";
import { ConvertActionHandler } from "./convert_action_handler";
import { ConvertActionResponse } from "./convert_action_response";
import { CountHandler } from "./count_handler";
import { DeletedRecordsHandler } from "./deleted_records_handler";
import { DownloadHandler } from "./download_handler";
import { FileHandler } from "./file_handler";
import { MassUpdateActionHandler } from "./mass_update_action_handler";
import { MassUpdateActionResponse } from "./mass_update_action_response";
import { MassUpdateResponse } from "./mass_update_response";
import { MassUpdateResponseHandler } from "./mass_update_response_handler";
import { ResponseHandler } from "./response_handler";
import { Choice } from "../../../../../../utils/util/choice";
import { Model } from "../../../../../../utils/util/model";
declare class APIException implements Model, ResponseHandler, ActionResponse, ActionHandler, DeletedRecordsHandler, ConvertActionResponse, ConvertActionHandler, DownloadHandler, FileHandler, MassUpdateActionResponse, MassUpdateActionHandler, MassUpdateResponse, MassUpdateResponseHandler, CountHandler {
    private status;
    private code;
    private message;
    private details;
    private keyModified;
    /**
     * The method to get the status
     * @returns An instance of Choice<string>
     */
    getStatus(): Choice<string>;
    /**
     * The method to set the value to status
     * @param status An instance of Choice<string>
     */
    setStatus(status: Choice<string>): void;
    /**
     * The method to get the code
     * @returns An instance of Choice<string>
     */
    getCode(): Choice<string>;
    /**
     * The method to set the value to code
     * @param code An instance of Choice<string>
     */
    setCode(code: Choice<string>): void;
    /**
     * The method to get the message
     * @returns An instance of Choice<string>
     */
    getMessage(): Choice<string>;
    /**
     * The method to set the value to message
     * @param message An instance of Choice<string>
     */
    setMessage(message: Choice<string>): void;
    /**
     * The method to get the details
     * @returns A Map representing the details
     */
    getDetails(): Map<string, any>;
    /**
     * The method to set the value to details
     * @param details A Map representing the details
     */
    setDetails(details: Map<string, any>): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { APIException as MasterModel, APIException as APIException };
