import { Choice } from "../../../../../../utils/util/choice";
import { Model } from "../../../../../../utils/util/model";
declare class Criteria implements Model {
    private comparator;
    private field;
    private value;
    private groupOperator;
    private group;
    private keyModified;
    /**
     * The method to get the comparator
     * @returns An instance of Choice<string>
     */
    getComparator(): Choice<string>;
    /**
     * The method to set the value to comparator
     * @param comparator An instance of Choice<string>
     */
    setComparator(comparator: Choice<string>): void;
    /**
     * The method to get the field
     * @returns A string representing the field
     */
    getField(): string;
    /**
     * The method to set the value to field
     * @param field A string representing the field
     */
    setField(field: string): void;
    /**
     * The method to get the value
     * @returns A object representing the value
     */
    getValue(): any;
    /**
     * The method to set the value to value
     * @param value A object representing the value
     */
    setValue(value: any): void;
    /**
     * The method to get the groupOperator
     * @returns An instance of Choice<string>
     */
    getGroupOperator(): Choice<string>;
    /**
     * The method to set the value to groupOperator
     * @param groupOperator An instance of Choice<string>
     */
    setGroupOperator(groupOperator: Choice<string>): void;
    /**
     * The method to get the group
     * @returns An Array representing the group
     */
    getGroup(): Array<Criteria>;
    /**
     * The method to set the value to group
     * @param group An Array representing the group
     */
    setGroup(group: Array<Criteria>): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Criteria as MasterModel, Criteria as Criteria };
