import { DeletedRecord } from "./deleted_record";
import { DeletedRecordsHandler } from "./deleted_records_handler";
import { Info } from "./info";
import { Model } from "../../../../../../utils/util/model";
declare class DeletedRecordsWrapper implements Model, DeletedRecordsHandler {
    private data;
    private info;
    private keyModified;
    /**
     * The method to get the data
     * @returns An Array representing the data
     */
    getData(): Array<DeletedRecord>;
    /**
     * The method to set the value to data
     * @param data An Array representing the data
     */
    setData(data: Array<DeletedRecord>): void;
    /**
     * The method to get the info
     * @returns An instance of Info
     */
    getInfo(): Info;
    /**
     * The method to set the value to info
     * @param info An instance of Info
     */
    setInfo(info: Info): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { DeletedRecordsWrapper as MasterModel, DeletedRecordsWrapper as DeletedRecordsWrapper };
