import { Model } from "../../../../../../utils/util/model";
declare class ImageUpload implements Model {
    private description;
    private previewId;
    private encryptedId;
    private fileName;
    private state;
    private fileId;
    private size;
    private sequenceNumber;
    private id;
    private keyModified;
    /**
     * The method to get the description
     * @returns A string representing the description
     */
    getDescription(): string;
    /**
     * The method to set the value to description
     * @param description A string representing the description
     */
    setDescription(description: string): void;
    /**
     * The method to get the previewId
     * @returns A string representing the previewId
     */
    getPreviewId(): string;
    /**
     * The method to set the value to previewId
     * @param previewId A string representing the previewId
     */
    setPreviewId(previewId: string): void;
    /**
     * The method to get the encryptedId
     * @returns A string representing the encryptedId
     */
    getEncryptedId(): string;
    /**
     * The method to set the value to encryptedId
     * @param encryptedId A string representing the encryptedId
     */
    setEncryptedId(encryptedId: string): void;
    /**
     * The method to get the fileName
     * @returns A string representing the fileName
     */
    getFileName(): string;
    /**
     * The method to set the value to fileName
     * @param fileName A string representing the fileName
     */
    setFileName(fileName: string): void;
    /**
     * The method to get the state
     * @returns A string representing the state
     */
    getState(): string;
    /**
     * The method to set the value to state
     * @param state A string representing the state
     */
    setState(state: string): void;
    /**
     * The method to get the fileId
     * @returns A string representing the fileId
     */
    getFileId(): string;
    /**
     * The method to set the value to fileId
     * @param fileId A string representing the fileId
     */
    setFileId(fileId: string): void;
    /**
     * The method to get the size
     * @returns A bigint representing the size
     */
    getSize(): bigint;
    /**
     * The method to set the value to size
     * @param size A bigint representing the size
     */
    setSize(size: bigint): void;
    /**
     * The method to get the sequenceNumber
     * @returns A number representing the sequenceNumber
     */
    getSequenceNumber(): number;
    /**
     * The method to set the value to sequenceNumber
     * @param sequenceNumber A number representing the sequenceNumber
     */
    setSequenceNumber(sequenceNumber: number): void;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { ImageUpload as MasterModel, ImageUpload as ImageUpload };
