"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImageUpload = exports.MasterModel = void 0;
class ImageUpload {
    constructor() {
        this.keyModified = new Map();
    }
    /**
     * The method to get the description
     * @returns A string representing the description
     */
    getDescription() {
        return this.description;
    }
    /**
     * The method to set the value to description
     * @param description A string representing the description
     */
    setDescription(description) {
        this.description = description;
        this.keyModified.set("Description", 1);
    }
    /**
     * The method to get the previewId
     * @returns A string representing the previewId
     */
    getPreviewId() {
        return this.previewId;
    }
    /**
     * The method to set the value to previewId
     * @param previewId A string representing the previewId
     */
    setPreviewId(previewId) {
        this.previewId = previewId;
        this.keyModified.set("Preview_Id", 1);
    }
    /**
     * The method to get the encryptedId
     * @returns A string representing the encryptedId
     */
    getEncryptedId() {
        return this.encryptedId;
    }
    /**
     * The method to set the value to encryptedId
     * @param encryptedId A string representing the encryptedId
     */
    setEncryptedId(encryptedId) {
        this.encryptedId = encryptedId;
        this.keyModified.set("Encrypted_Id", 1);
    }
    /**
     * The method to get the fileName
     * @returns A string representing the fileName
     */
    getFileName() {
        return this.fileName;
    }
    /**
     * The method to set the value to fileName
     * @param fileName A string representing the fileName
     */
    setFileName(fileName) {
        this.fileName = fileName;
        this.keyModified.set("File_Name", 1);
    }
    /**
     * The method to get the state
     * @returns A string representing the state
     */
    getState() {
        return this.state;
    }
    /**
     * The method to set the value to state
     * @param state A string representing the state
     */
    setState(state) {
        this.state = state;
        this.keyModified.set("State", 1);
    }
    /**
     * The method to get the fileId
     * @returns A string representing the fileId
     */
    getFileId() {
        return this.fileId;
    }
    /**
     * The method to set the value to fileId
     * @param fileId A string representing the fileId
     */
    setFileId(fileId) {
        this.fileId = fileId;
        this.keyModified.set("File_Id", 1);
    }
    /**
     * The method to get the size
     * @returns A bigint representing the size
     */
    getSize() {
        return this.size;
    }
    /**
     * The method to set the value to size
     * @param size A bigint representing the size
     */
    setSize(size) {
        this.size = size;
        this.keyModified.set("Size", 1);
    }
    /**
     * The method to get the sequenceNumber
     * @returns A number representing the sequenceNumber
     */
    getSequenceNumber() {
        return this.sequenceNumber;
    }
    /**
     * The method to set the value to sequenceNumber
     * @param sequenceNumber A number representing the sequenceNumber
     */
    setSequenceNumber(sequenceNumber) {
        this.sequenceNumber = sequenceNumber;
        this.keyModified.set("Sequence_Number", 1);
    }
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId() {
        return this.id;
    }
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id) {
        this.id = id;
        this.keyModified.set("id", 1);
    }
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key) {
        if (this.keyModified.has(key)) {
            return this.keyModified.get(key);
        }
        return null;
    }
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key, modification) {
        this.keyModified.set(key, modification);
    }
}
exports.MasterModel = ImageUpload;
exports.ImageUpload = ImageUpload;
