import { CarryOverTags } from "./carry_over_tags";
import { Record } from "./record";
import { Model } from "../../../../../../utils/util/model";
declare class LeadConverter implements Model {
    private overwrite;
    private notifyLeadOwner;
    private notifyNewEntityOwner;
    private accounts;
    private contacts;
    private assignTo;
    private deals;
    private carryOverTags;
    private keyModified;
    /**
     * The method to get the overwrite
     * @returns A boolean representing the overwrite
     */
    getOverwrite(): boolean;
    /**
     * The method to set the value to overwrite
     * @param overwrite A boolean representing the overwrite
     */
    setOverwrite(overwrite: boolean): void;
    /**
     * The method to get the notifyLeadOwner
     * @returns A boolean representing the notifyLeadOwner
     */
    getNotifyLeadOwner(): boolean;
    /**
     * The method to set the value to notifyLeadOwner
     * @param notifyLeadOwner A boolean representing the notifyLeadOwner
     */
    setNotifyLeadOwner(notifyLeadOwner: boolean): void;
    /**
     * The method to get the notifyNewEntityOwner
     * @returns A boolean representing the notifyNewEntityOwner
     */
    getNotifyNewEntityOwner(): boolean;
    /**
     * The method to set the value to notifyNewEntityOwner
     * @param notifyNewEntityOwner A boolean representing the notifyNewEntityOwner
     */
    setNotifyNewEntityOwner(notifyNewEntityOwner: boolean): void;
    /**
     * The method to get the accounts
     * @returns A string representing the accounts
     */
    getAccounts(): string;
    /**
     * The method to set the value to accounts
     * @param accounts A string representing the accounts
     */
    setAccounts(accounts: string): void;
    /**
     * The method to get the contacts
     * @returns A string representing the contacts
     */
    getContacts(): string;
    /**
     * The method to set the value to contacts
     * @param contacts A string representing the contacts
     */
    setContacts(contacts: string): void;
    /**
     * The method to get the assignTo
     * @returns A string representing the assignTo
     */
    getAssignTo(): string;
    /**
     * The method to set the value to assignTo
     * @param assignTo A string representing the assignTo
     */
    setAssignTo(assignTo: string): void;
    /**
     * The method to get the deals
     * @returns An instance of Record
     */
    getDeals(): Record;
    /**
     * The method to set the value to deals
     * @param deals An instance of Record
     */
    setDeals(deals: Record): void;
    /**
     * The method to get the carryOverTags
     * @returns An instance of CarryOverTags
     */
    getCarryOverTags(): CarryOverTags;
    /**
     * The method to set the value to carryOverTags
     * @param carryOverTags An instance of CarryOverTags
     */
    setCarryOverTags(carryOverTags: CarryOverTags): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { LeadConverter as MasterModel, LeadConverter as LeadConverter };
