import { Model } from "../../../../../../utils/util/model";
declare class LineTax implements Model {
    private percentage;
    private name;
    private id;
    private value;
    private displayName;
    private keyModified;
    /**
     * The method to get the percentage
     * @returns A number representing the percentage
     */
    getPercentage(): number;
    /**
     * The method to set the value to percentage
     * @param percentage A number representing the percentage
     */
    setPercentage(percentage: number): void;
    /**
     * The method to get the name
     * @returns A string representing the name
     */
    getName(): string;
    /**
     * The method to set the value to name
     * @param name A string representing the name
     */
    setName(name: string): void;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the value
     * @returns A number representing the value
     */
    getValue(): number;
    /**
     * The method to set the value to value
     * @param value A number representing the value
     */
    setValue(value: number): void;
    /**
     * The method to get the displayName
     * @returns A string representing the displayName
     */
    getDisplayName(): string;
    /**
     * The method to set the value to displayName
     * @param displayName A string representing the displayName
     */
    setDisplayName(displayName: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { LineTax as MasterModel, LineTax as LineTax };
