import { MassUpdateActionHandler } from "./mass_update_action_handler";
import { MassUpdateActionResponse } from "./mass_update_action_response";
import { Model } from "../../../../../../utils/util/model";
declare class MassUpdateActionWrapper implements Model, MassUpdateActionHandler {
    private data;
    private keyModified;
    /**
     * The method to get the data
     * @returns An Array representing the data
     */
    getData(): Array<MassUpdateActionResponse>;
    /**
     * The method to set the value to data
     * @param data An Array representing the data
     */
    setData(data: Array<MassUpdateActionResponse>): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { MassUpdateActionWrapper as MasterModel, MassUpdateActionWrapper as MassUpdateActionWrapper };
