import { Model } from "../../../../../../utils/util/model";
declare class MassUpdateTerritory implements Model {
    private id;
    private includeChild;
    private keyModified;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the includeChild
     * @returns A boolean representing the includeChild
     */
    getIncludeChild(): boolean;
    /**
     * The method to set the value to includeChild
     * @param includeChild A boolean representing the includeChild
     */
    setIncludeChild(includeChild: boolean): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { MassUpdateTerritory as MasterModel, MassUpdateTerritory as MassUpdateTerritory };
