import { Model } from "../../../../../../utils/util/model";
declare class MultiSelectLookup implements Model {
    private id;
    private fieldname;
    private hasMore;
    private keyModified;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the fieldname
     * @returns A Map representing the fieldname
     */
    getFieldname(): Map<string, any>;
    /**
     * The method to set the value to fieldname
     * @param fieldname A Map representing the fieldname
     */
    setFieldname(fieldname: Map<string, any>): void;
    /**
     * The method to get the hasMore
     * @returns A Map representing the hasMore
     */
    getHasMore(): Map<string, any>;
    /**
     * The method to set the value to hasMore
     * @param hasMore A Map representing the hasMore
     */
    setHasMore(hasMore: Map<string, any>): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { MultiSelectLookup as MasterModel, MultiSelectLookup as MultiSelectLookup };
