"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MultiSelectLookup = exports.MasterModel = void 0;
class MultiSelectLookup {
    constructor() {
        this.keyModified = new Map();
    }
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId() {
        return this.id;
    }
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id) {
        this.id = id;
        this.keyModified.set("id", 1);
    }
    /**
     * The method to get the fieldname
     * @returns A Map representing the fieldname
     */
    getFieldname() {
        return this.fieldname;
    }
    /**
     * The method to set the value to fieldname
     * @param fieldname A Map representing the fieldname
     */
    setFieldname(fieldname) {
        this.fieldname = fieldname;
        this.keyModified.set("fieldName", 1);
    }
    /**
     * The method to get the hasMore
     * @returns A Map representing the hasMore
     */
    getHasMore() {
        return this.hasMore;
    }
    /**
     * The method to set the value to hasMore
     * @param hasMore A Map representing the hasMore
     */
    setHasMore(hasMore) {
        this.hasMore = hasMore;
        this.keyModified.set("$has_more", 1);
    }
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key) {
        if (this.keyModified.has(key)) {
            return this.keyModified.get(key);
        }
        return null;
    }
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key, modification) {
        this.keyModified.set(key, modification);
    }
}
exports.MasterModel = MultiSelectLookup;
exports.MultiSelectLookup = MultiSelectLookup;
