import { Field } from "./field";
import { Tag } from "../tags/tag";
import { User } from "../users/user";
import { Model } from "../../../../../../utils/util/model";
declare class Record implements Model {
    protected keyValues: Map<string, any>;
    private keyModified;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the createdBy
     * @returns An instance of User
     */
    getCreatedBy(): User;
    /**
     * The method to set the value to createdBy
     * @param createdBy An instance of User
     */
    setCreatedBy(createdBy: User): void;
    /**
     * The method to get the createdTime
     * @returns An instance of Date
     */
    getCreatedTime(): Date;
    /**
     * The method to set the value to createdTime
     * @param createdTime An instance of Date
     */
    setCreatedTime(createdTime: Date): void;
    /**
     * The method to get the modifiedBy
     * @returns An instance of User
     */
    getModifiedBy(): User;
    /**
     * The method to set the value to modifiedBy
     * @param modifiedBy An instance of User
     */
    setModifiedBy(modifiedBy: User): void;
    /**
     * The method to get the modifiedTime
     * @returns An instance of Date
     */
    getModifiedTime(): Date;
    /**
     * The method to set the value to modifiedTime
     * @param modifiedTime An instance of Date
     */
    setModifiedTime(modifiedTime: Date): void;
    /**
     * The method to get the tag
     * @returns An Array representing the tag
     */
    getTag(): Array<Tag>;
    /**
     * The method to set the value to tag
     * @param tag An Array representing the tag
     */
    setTag(tag: Array<Tag>): void;
    /**
     * The method to add field value
     * @param <T> T containing the specified type
     * @param field An instance of Field<T>
     * @param value T
     */
    addFieldValue<T>(field: Field<T>, value: T): void;
    /**
     * The method to add key value
     * @param apiName A string representing the apiName
     * @param value A object representing the value
     */
    addKeyValue(apiName: string, value: any): void;
    /**
     * The method to get key value
     * @param apiName A string representing the apiName
     * @returns A object representing the keyValue
     */
    getKeyValue(apiName: string): any;
    /**
     * The method to get key values
     * @returns A Map representing the keyValues
     */
    getKeyValues(): Map<string, any>;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Record as MasterModel, Record as Record };
