import { Model } from "../../../../../../utils/util/model";
declare class Reminder implements Model {
    private period;
    private unit;
    private keyModified;
    /**
     * The method to get the period
     * @returns A string representing the period
     */
    getPeriod(): string;
    /**
     * The method to set the value to period
     * @param period A string representing the period
     */
    setPeriod(period: string): void;
    /**
     * The method to get the unit
     * @returns A string representing the unit
     */
    getUnit(): string;
    /**
     * The method to set the value to unit
     * @param unit A string representing the unit
     */
    setUnit(unit: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Reminder as MasterModel, Reminder as Reminder };
