import { ActionResponse } from "./action_response";
import { FileHandler } from "./file_handler";
import { Choice } from "../../../../../../utils/util/choice";
import { Model } from "../../../../../../utils/util/model";
declare class SuccessResponse implements Model, ActionResponse, FileHandler {
    private status;
    private code;
    private duplicateField;
    private action;
    private message;
    private details;
    private keyModified;
    /**
     * The method to get the status
     * @returns An instance of Choice<string>
     */
    getStatus(): Choice<string>;
    /**
     * The method to set the value to status
     * @param status An instance of Choice<string>
     */
    setStatus(status: Choice<string>): void;
    /**
     * The method to get the code
     * @returns An instance of Choice<string>
     */
    getCode(): Choice<string>;
    /**
     * The method to set the value to code
     * @param code An instance of Choice<string>
     */
    setCode(code: Choice<string>): void;
    /**
     * The method to get the duplicateField
     * @returns A string representing the duplicateField
     */
    getDuplicateField(): string;
    /**
     * The method to set the value to duplicateField
     * @param duplicateField A string representing the duplicateField
     */
    setDuplicateField(duplicateField: string): void;
    /**
     * The method to get the action
     * @returns An instance of Choice<string>
     */
    getAction(): Choice<string>;
    /**
     * The method to set the value to action
     * @param action An instance of Choice<string>
     */
    setAction(action: Choice<string>): void;
    /**
     * The method to get the message
     * @returns An instance of Choice<string>
     */
    getMessage(): Choice<string>;
    /**
     * The method to set the value to message
     * @param message An instance of Choice<string>
     */
    setMessage(message: Choice<string>): void;
    /**
     * The method to get the details
     * @returns A Map representing the details
     */
    getDetails(): Map<string, any>;
    /**
     * The method to set the value to details
     * @param details A Map representing the details
     */
    setDetails(details: Map<string, any>): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { SuccessResponse as MasterModel, SuccessResponse as SuccessResponse };
