import { ResponseHandler } from "./response_handler";
import { Role } from "./role";
import { Model } from "../../../../../../utils/util/model";
declare class ResponseWrapper implements Model, ResponseHandler {
    private roles;
    private keyModified;
    /**
     * The method to get the roles
     * @returns An Array representing the roles
     */
    getRoles(): Array<Role>;
    /**
     * The method to set the value to roles
     * @param roles An Array representing the roles
     */
    setRoles(roles: Array<Role>): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { ResponseWrapper as MasterModel, ResponseWrapper as ResponseWrapper };
