"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InventoryDetails = exports.MasterModel = void 0;
class InventoryDetails {
    constructor() {
        this.keyModified = new Map();
    }
    /**
     * The method to get the inventoryTemplate
     * @returns An instance of InventoryTemplate
     */
    getInventoryTemplate() {
        return this.inventoryTemplate;
    }
    /**
     * The method to set the value to inventoryTemplate
     * @param inventoryTemplate An instance of InventoryTemplate
     */
    setInventoryTemplate(inventoryTemplate) {
        this.inventoryTemplate = inventoryTemplate;
        this.keyModified.set("inventory_template", 1);
    }
    /**
     * The method to get the paperType
     * @returns A string representing the paperType
     */
    getPaperType() {
        return this.paperType;
    }
    /**
     * The method to set the value to paperType
     * @param paperType A string representing the paperType
     */
    setPaperType(paperType) {
        this.paperType = paperType;
        this.keyModified.set("paper_type", 1);
    }
    /**
     * The method to get the viewType
     * @returns A string representing the viewType
     */
    getViewType() {
        return this.viewType;
    }
    /**
     * The method to set the value to viewType
     * @param viewType A string representing the viewType
     */
    setViewType(viewType) {
        this.viewType = viewType;
        this.keyModified.set("view_type", 1);
    }
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key) {
        if (this.keyModified.has(key)) {
            return this.keyModified.get(key);
        }
        return null;
    }
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key, modification) {
        this.keyModified.set(key, modification);
    }
}
exports.MasterModel = InventoryDetails;
exports.InventoryDetails = InventoryDetails;
