import { Attachment } from "../attachments/attachment";
import { DataSubjectRequest } from "./data_subject_request";
import { InventoryDetails } from "./inventory_details";
import { Template } from "./template";
import { UserAddress } from "./user_address";
import { Model } from "../../../../../../utils/util/model";
declare class Mail implements Model {
    private from;
    private to;
    private cc;
    private bcc;
    private replyTo;
    private template;
    private email;
    private id;
    private inReplyTo;
    private scheduledTime;
    private subject;
    private content;
    private paperType;
    private viewType;
    private mailFormat;
    private consentEmail;
    private orgEmail;
    private attachments;
    private inventoryDetails;
    private dataSubjectRequest;
    private keyModified;
    /**
     * The method to get the from
     * @returns An instance of UserAddress
     */
    getFrom(): UserAddress;
    /**
     * The method to set the value to from
     * @param from An instance of UserAddress
     */
    setFrom(from: UserAddress): void;
    /**
     * The method to get the to
     * @returns An Array representing the to
     */
    getTo(): Array<UserAddress>;
    /**
     * The method to set the value to to
     * @param to An Array representing the to
     */
    setTo(to: Array<UserAddress>): void;
    /**
     * The method to get the cc
     * @returns An Array representing the cc
     */
    getCc(): Array<UserAddress>;
    /**
     * The method to set the value to cc
     * @param cc An Array representing the cc
     */
    setCc(cc: Array<UserAddress>): void;
    /**
     * The method to get the bcc
     * @returns An Array representing the bcc
     */
    getBcc(): Array<UserAddress>;
    /**
     * The method to set the value to bcc
     * @param bcc An Array representing the bcc
     */
    setBcc(bcc: Array<UserAddress>): void;
    /**
     * The method to get the replyTo
     * @returns An instance of UserAddress
     */
    getReplyTo(): UserAddress;
    /**
     * The method to set the value to replyTo
     * @param replyTo An instance of UserAddress
     */
    setReplyTo(replyTo: UserAddress): void;
    /**
     * The method to get the template
     * @returns An instance of Template
     */
    getTemplate(): Template;
    /**
     * The method to set the value to template
     * @param template An instance of Template
     */
    setTemplate(template: Template): void;
    /**
     * The method to get the email
     * @returns A number representing the email
     */
    getEmail(): number;
    /**
     * The method to set the value to email
     * @param email A number representing the email
     */
    setEmail(email: number): void;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the inReplyTo
     * @returns A string representing the inReplyTo
     */
    getInReplyTo(): string;
    /**
     * The method to set the value to inReplyTo
     * @param inReplyTo A string representing the inReplyTo
     */
    setInReplyTo(inReplyTo: string): void;
    /**
     * The method to get the scheduledTime
     * @returns An instance of Date
     */
    getScheduledTime(): Date;
    /**
     * The method to set the value to scheduledTime
     * @param scheduledTime An instance of Date
     */
    setScheduledTime(scheduledTime: Date): void;
    /**
     * The method to get the subject
     * @returns A string representing the subject
     */
    getSubject(): string;
    /**
     * The method to set the value to subject
     * @param subject A string representing the subject
     */
    setSubject(subject: string): void;
    /**
     * The method to get the content
     * @returns A string representing the content
     */
    getContent(): string;
    /**
     * The method to set the value to content
     * @param content A string representing the content
     */
    setContent(content: string): void;
    /**
     * The method to get the paperType
     * @returns A string representing the paperType
     */
    getPaperType(): string;
    /**
     * The method to set the value to paperType
     * @param paperType A string representing the paperType
     */
    setPaperType(paperType: string): void;
    /**
     * The method to get the viewType
     * @returns A string representing the viewType
     */
    getViewType(): string;
    /**
     * The method to set the value to viewType
     * @param viewType A string representing the viewType
     */
    setViewType(viewType: string): void;
    /**
     * The method to get the mailFormat
     * @returns A string representing the mailFormat
     */
    getMailFormat(): string;
    /**
     * The method to set the value to mailFormat
     * @param mailFormat A string representing the mailFormat
     */
    setMailFormat(mailFormat: string): void;
    /**
     * The method to get the consentEmail
     * @returns A boolean representing the consentEmail
     */
    getConsentEmail(): boolean;
    /**
     * The method to set the value to consentEmail
     * @param consentEmail A boolean representing the consentEmail
     */
    setConsentEmail(consentEmail: boolean): void;
    /**
     * The method to get the orgEmail
     * @returns A boolean representing the orgEmail
     */
    getOrgEmail(): boolean;
    /**
     * The method to set the value to orgEmail
     * @param orgEmail A boolean representing the orgEmail
     */
    setOrgEmail(orgEmail: boolean): void;
    /**
     * The method to get the attachments
     * @returns An Array representing the attachments
     */
    getAttachments(): Array<Attachment>;
    /**
     * The method to set the value to attachments
     * @param attachments An Array representing the attachments
     */
    setAttachments(attachments: Array<Attachment>): void;
    /**
     * The method to get the inventoryDetails
     * @returns An instance of InventoryDetails
     */
    getInventoryDetails(): InventoryDetails;
    /**
     * The method to set the value to inventoryDetails
     * @param inventoryDetails An instance of InventoryDetails
     */
    setInventoryDetails(inventoryDetails: InventoryDetails): void;
    /**
     * The method to get the dataSubjectRequest
     * @returns An instance of DataSubjectRequest
     */
    getDataSubjectRequest(): DataSubjectRequest;
    /**
     * The method to set the value to dataSubjectRequest
     * @param dataSubjectRequest An instance of DataSubjectRequest
     */
    setDataSubjectRequest(dataSubjectRequest: DataSubjectRequest): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Mail as MasterModel, Mail as Mail };
