import { ResponseHandler } from "./response_handler";
import { UserAddress } from "./user_address";
import { Model } from "../../../../../../utils/util/model";
declare class ResponseWrapper implements Model, ResponseHandler {
    private fromAddresses;
    private keyModified;
    /**
     * The method to get the fromAddresses
     * @returns An Array representing the fromAddresses
     */
    getFromAddresses(): Array<UserAddress>;
    /**
     * The method to set the value to fromAddresses
     * @param fromAddresses An Array representing the fromAddresses
     */
    setFromAddresses(fromAddresses: Array<UserAddress>): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { ResponseWrapper as MasterModel, ResponseWrapper as ResponseWrapper };
