import { ActionHandler } from "./action_handler";
import { BodyWrapper } from "./body_wrapper";
import { ResponseHandler } from "./response_handler";
import { APIResponse } from "../../../../../../routes/controllers/api_response";
declare class SendMailOperations {
    /**
     * The method to get email addresses
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getEmailAddresses(): Promise<APIResponse<ResponseHandler>>;
    /**
     * The method to send mail
     * @param recordId A bigint representing the recordId
     * @param moduleAPIName A string representing the moduleAPIName
     * @param request An instance of BodyWrapper
     * @returns An instance of APIResponse<ActionHandler>
     * @throws SDKException
     */
    sendMail(recordId: bigint, moduleAPIName: string, request: BodyWrapper): Promise<APIResponse<ActionHandler>>;
}
export { SendMailOperations as MasterModel, SendMailOperations as SendMailOperations };
