import { Model } from "../../../../../../utils/util/model";
declare class UserAddress implements Model {
    private userName;
    private type;
    private email;
    private id;
    private default1;
    private keyModified;
    /**
     * The method to get the userName
     * @returns A string representing the userName
     */
    getUserName(): string;
    /**
     * The method to set the value to userName
     * @param userName A string representing the userName
     */
    setUserName(userName: string): void;
    /**
     * The method to get the type
     * @returns A string representing the type
     */
    getType(): string;
    /**
     * The method to set the value to type
     * @param type A string representing the type
     */
    setType(type: string): void;
    /**
     * The method to get the email
     * @returns A string representing the email
     */
    getEmail(): string;
    /**
     * The method to set the value to email
     * @param email A string representing the email
     */
    setEmail(email: string): void;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the default
     * @returns A boolean representing the default1
     */
    getDefault(): boolean;
    /**
     * The method to set the value to default
     * @param default1 A boolean representing the default1
     */
    setDefault(default1: boolean): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { UserAddress as MasterModel, UserAddress as UserAddress };
