"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserAddress = exports.MasterModel = void 0;
class UserAddress {
    constructor() {
        this.keyModified = new Map();
    }
    /**
     * The method to get the userName
     * @returns A string representing the userName
     */
    getUserName() {
        return this.userName;
    }
    /**
     * The method to set the value to userName
     * @param userName A string representing the userName
     */
    setUserName(userName) {
        this.userName = userName;
        this.keyModified.set("user_name", 1);
    }
    /**
     * The method to get the type
     * @returns A string representing the type
     */
    getType() {
        return this.type;
    }
    /**
     * The method to set the value to type
     * @param type A string representing the type
     */
    setType(type) {
        this.type = type;
        this.keyModified.set("type", 1);
    }
    /**
     * The method to get the email
     * @returns A string representing the email
     */
    getEmail() {
        return this.email;
    }
    /**
     * The method to set the value to email
     * @param email A string representing the email
     */
    setEmail(email) {
        this.email = email;
        this.keyModified.set("email", 1);
    }
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId() {
        return this.id;
    }
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id) {
        this.id = id;
        this.keyModified.set("id", 1);
    }
    /**
     * The method to get the default
     * @returns A boolean representing the default1
     */
    getDefault() {
        return this.default1;
    }
    /**
     * The method to set the value to default
     * @param default1 A boolean representing the default1
     */
    setDefault(default1) {
        this.default1 = default1;
        this.keyModified.set("default", 1);
    }
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key) {
        if (this.keyModified.has(key)) {
            return this.keyModified.get(key);
        }
        return null;
    }
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key, modification) {
        this.keyModified.set(key, modification);
    }
}
exports.MasterModel = UserAddress;
exports.UserAddress = UserAddress;
