import { ShareRecord } from "./share_record";
import { Model } from "../../../../../../utils/util/model";
declare class BodyWrapper implements Model {
    private share;
    private keyModified;
    /**
     * The method to get the share
     * @returns An Array representing the share
     */
    getShare(): Array<ShareRecord>;
    /**
     * The method to set the value to share
     * @param share An Array representing the share
     */
    setShare(share: Array<ShareRecord>): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { BodyWrapper as MasterModel, BodyWrapper as BodyWrapper };
