import { Module } from "../modules/module";
import { Model } from "../../../../../../utils/util/model";
declare class SharedThrough implements Model {
    private module;
    private id;
    private entityName;
    private keyModified;
    /**
     * The method to get the module
     * @returns An instance of Module
     */
    getModule(): Module;
    /**
     * The method to set the value to module
     * @param module An instance of Module
     */
    setModule(module: Module): void;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the entityName
     * @returns A string representing the entityName
     */
    getEntityName(): string;
    /**
     * The method to set the value to entityName
     * @param entityName A string representing the entityName
     */
    setEntityName(entityName: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { SharedThrough as MasterModel, SharedThrough as SharedThrough };
