import { CountHandler } from "./count_handler";
import { Model } from "../../../../../../utils/util/model";
declare class CountWrapper implements Model, CountHandler {
    private count;
    private keyModified;
    /**
     * The method to get the count
     * @returns A string representing the count
     */
    getCount(): string;
    /**
     * The method to set the value to count
     * @param count A string representing the count
     */
    setCount(count: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { CountWrapper as MasterModel, CountWrapper as CountWrapper };
