import { RecordActionHandler } from "./record_action_handler";
import { RecordActionResponse } from "./record_action_response";
import { Model } from "../../../../../../utils/util/model";
declare class RecordActionWrapper implements Model, RecordActionHandler {
    private data;
    private wfScheduler;
    private successCount;
    private lockedCount;
    private keyModified;
    /**
     * The method to get the data
     * @returns An Array representing the data
     */
    getData(): Array<RecordActionResponse>;
    /**
     * The method to set the value to data
     * @param data An Array representing the data
     */
    setData(data: Array<RecordActionResponse>): void;
    /**
     * The method to get the wfScheduler
     * @returns A boolean representing the wfScheduler
     */
    getWfScheduler(): boolean;
    /**
     * The method to set the value to wfScheduler
     * @param wfScheduler A boolean representing the wfScheduler
     */
    setWfScheduler(wfScheduler: boolean): void;
    /**
     * The method to get the successCount
     * @returns A string representing the successCount
     */
    getSuccessCount(): string;
    /**
     * The method to set the value to successCount
     * @param successCount A string representing the successCount
     */
    setSuccessCount(successCount: string): void;
    /**
     * The method to get the lockedCount
     * @returns A number representing the lockedCount
     */
    getLockedCount(): number;
    /**
     * The method to set the value to lockedCount
     * @param lockedCount A number representing the lockedCount
     */
    setLockedCount(lockedCount: number): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { RecordActionWrapper as MasterModel, RecordActionWrapper as RecordActionWrapper };
