import { Model } from "../../../../../../utils/util/model";
declare class Preference implements Model {
    private autoPopulateTax;
    private modifyTaxRates;
    private keyModified;
    /**
     * The method to get the autoPopulateTax
     * @returns A boolean representing the autoPopulateTax
     */
    getAutoPopulateTax(): boolean;
    /**
     * The method to set the value to autoPopulateTax
     * @param autoPopulateTax A boolean representing the autoPopulateTax
     */
    setAutoPopulateTax(autoPopulateTax: boolean): void;
    /**
     * The method to get the modifyTaxRates
     * @returns A boolean representing the modifyTaxRates
     */
    getModifyTaxRates(): boolean;
    /**
     * The method to set the value to modifyTaxRates
     * @param modifyTaxRates A boolean representing the modifyTaxRates
     */
    setModifyTaxRates(modifyTaxRates: boolean): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Preference as MasterModel, Preference as Preference };
