import { Param } from "../../../../../../routes/param";
import { ParameterMap } from "../../../../../../routes/parameter_map";
import { ActionHandler } from "./action_handler";
import { BodyWrapper } from "./body_wrapper";
import { ResponseHandler } from "./response_handler";
import { APIResponse } from "../../../../../../routes/controllers/api_response";
declare class TaxesOperations {
    /**
     * The method to get taxes
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getTaxes(): Promise<APIResponse<ResponseHandler>>;
    /**
     * The method to create taxes
     * @param request An instance of BodyWrapper
     * @returns An instance of APIResponse<ActionHandler>
     * @throws SDKException
     */
    createTaxes(request: BodyWrapper): Promise<APIResponse<ActionHandler>>;
    /**
     * The method to update taxes
     * @param request An instance of BodyWrapper
     * @returns An instance of APIResponse<ActionHandler>
     * @throws SDKException
     */
    updateTaxes(request: BodyWrapper): Promise<APIResponse<ActionHandler>>;
    /**
     * The method to delete taxes
     * @param paramInstance An instance of ParameterMap
     * @returns An instance of APIResponse<ActionHandler>
     * @throws SDKException
     */
    deleteTaxes(paramInstance?: ParameterMap): Promise<APIResponse<ActionHandler>>;
    /**
     * The method to get tax
     * @param id A bigint representing the id
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getTax(id: bigint): Promise<APIResponse<ResponseHandler>>;
    /**
     * The method to delete tax
     * @param id A bigint representing the id
     * @returns An instance of APIResponse<ActionHandler>
     * @throws SDKException
     */
    deleteTax(id: bigint): Promise<APIResponse<ActionHandler>>;
}
declare class DeleteTaxesParam {
    static IDS: Param<bigint>;
}
export { TaxesOperations as MasterModel, TaxesOperations as TaxesOperations, DeleteTaxesParam as DeleteTaxesParam };
