import { Model } from "../../../../../../utils/util/model";
declare class TabTheme implements Model {
    private fontColor;
    private background;
    private keyModified;
    /**
     * The method to get the fontColor
     * @returns A string representing the fontColor
     */
    getFontColor(): string;
    /**
     * The method to set the value to fontColor
     * @param fontColor A string representing the fontColor
     */
    setFontColor(fontColor: string): void;
    /**
     * The method to get the background
     * @returns A string representing the background
     */
    getBackground(): string;
    /**
     * The method to set the value to background
     * @param background A string representing the background
     */
    setBackground(background: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { TabTheme as MasterModel, TabTheme as TabTheme };
