import { Model } from "../../../../../../utils/util/model";
declare class Territory implements Model {
    private manager;
    private name;
    private id;
    private keyModified;
    /**
     * The method to get the manager
     * @returns A boolean representing the manager
     */
    getManager(): boolean;
    /**
     * The method to set the value to manager
     * @param manager A boolean representing the manager
     */
    setManager(manager: boolean): void;
    /**
     * The method to get the name
     * @returns A string representing the name
     */
    getName(): string;
    /**
     * The method to set the value to name
     * @param name A string representing the name
     */
    setName(name: string): void;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Territory as MasterModel, Territory as Territory };
