import { TabTheme } from "./tab_theme";
import { Model } from "../../../../../../utils/util/model";
declare class Theme implements Model {
    private normalTab;
    private selectedTab;
    private newBackground;
    private background;
    private screen;
    private type;
    private keyModified;
    /**
     * The method to get the normalTab
     * @returns An instance of TabTheme
     */
    getNormalTab(): TabTheme;
    /**
     * The method to set the value to normalTab
     * @param normalTab An instance of TabTheme
     */
    setNormalTab(normalTab: TabTheme): void;
    /**
     * The method to get the selectedTab
     * @returns An instance of TabTheme
     */
    getSelectedTab(): TabTheme;
    /**
     * The method to set the value to selectedTab
     * @param selectedTab An instance of TabTheme
     */
    setSelectedTab(selectedTab: TabTheme): void;
    /**
     * The method to get the newBackground
     * @returns A string representing the newBackground
     */
    getNewBackground(): string;
    /**
     * The method to set the value to newBackground
     * @param newBackground A string representing the newBackground
     */
    setNewBackground(newBackground: string): void;
    /**
     * The method to get the background
     * @returns A string representing the background
     */
    getBackground(): string;
    /**
     * The method to set the value to background
     * @param background A string representing the background
     */
    setBackground(background: string): void;
    /**
     * The method to get the screen
     * @returns A string representing the screen
     */
    getScreen(): string;
    /**
     * The method to set the value to screen
     * @param screen A string representing the screen
     */
    setScreen(screen: string): void;
    /**
     * The method to get the type
     * @returns A string representing the type
     */
    getType(): string;
    /**
     * The method to set the value to type
     * @param type A string representing the type
     */
    setType(type: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Theme as MasterModel, Theme as Theme };
