import { Profile } from "../profiles/profile";
import { Role } from "../roles/role";
import { CustomizeInfo } from "./customize_info";
import { Territory } from "./territory";
import { Theme } from "./theme";
import { Record } from "../record/record";
import { Model } from "../../../../../../utils/util/model";
declare class User extends Record implements Model {
    /**
     * The method to get the country
     * @returns A string representing the country
     */
    getCountry(): string;
    /**
     * The method to set the value to country
     * @param country A string representing the country
     */
    setCountry(country: string): void;
    /**
     * The method to get the customizeInfo
     * @returns An instance of CustomizeInfo
     */
    getCustomizeInfo(): CustomizeInfo;
    /**
     * The method to set the value to customizeInfo
     * @param customizeInfo An instance of CustomizeInfo
     */
    setCustomizeInfo(customizeInfo: CustomizeInfo): void;
    /**
     * The method to get the role
     * @returns An instance of Role
     */
    getRole(): Role;
    /**
     * The method to set the value to role
     * @param role An instance of Role
     */
    setRole(role: Role): void;
    /**
     * The method to get the signature
     * @returns A string representing the signature
     */
    getSignature(): string;
    /**
     * The method to set the value to signature
     * @param signature A string representing the signature
     */
    setSignature(signature: string): void;
    /**
     * The method to get the sortOrderPreference
     * @returns A string representing the sortOrderPreference
     */
    getSortOrderPreference(): string;
    /**
     * The method to set the value to sortOrderPreference
     * @param sortOrderPreference A string representing the sortOrderPreference
     */
    setSortOrderPreference(sortOrderPreference: string): void;
    /**
     * The method to get the city
     * @returns A string representing the city
     */
    getCity(): string;
    /**
     * The method to set the value to city
     * @param city A string representing the city
     */
    setCity(city: string): void;
    /**
     * The method to get the nameFormat
     * @returns A string representing the nameFormat
     */
    getNameFormat(): string;
    /**
     * The method to set the value to nameFormat
     * @param nameFormat A string representing the nameFormat
     */
    setNameFormat(nameFormat: string): void;
    /**
     * The method to get the personalAccount
     * @returns A boolean representing the personalAccount
     */
    getPersonalAccount(): boolean;
    /**
     * The method to set the value to personalAccount
     * @param personalAccount A boolean representing the personalAccount
     */
    setPersonalAccount(personalAccount: boolean): void;
    /**
     * The method to get the defaultTabGroup
     * @returns A string representing the defaultTabGroup
     */
    getDefaultTabGroup(): string;
    /**
     * The method to set the value to defaultTabGroup
     * @param defaultTabGroup A string representing the defaultTabGroup
     */
    setDefaultTabGroup(defaultTabGroup: string): void;
    /**
     * The method to get the language
     * @returns A string representing the language
     */
    getLanguage(): string;
    /**
     * The method to set the value to language
     * @param language A string representing the language
     */
    setLanguage(language: string): void;
    /**
     * The method to get the locale
     * @returns A string representing the locale
     */
    getLocale(): string;
    /**
     * The method to set the value to locale
     * @param locale A string representing the locale
     */
    setLocale(locale: string): void;
    /**
     * The method to get the microsoft
     * @returns A boolean representing the microsoft
     */
    getMicrosoft(): boolean;
    /**
     * The method to set the value to microsoft
     * @param microsoft A boolean representing the microsoft
     */
    setMicrosoft(microsoft: boolean): void;
    /**
     * The method to get the isonline
     * @returns A boolean representing the isonline
     */
    getIsonline(): boolean;
    /**
     * The method to set the value to isonline
     * @param isonline A boolean representing the isonline
     */
    setIsonline(isonline: boolean): void;
    /**
     * The method to get the street
     * @returns A string representing the street
     */
    getStreet(): string;
    /**
     * The method to set the value to street
     * @param street A string representing the street
     */
    setStreet(street: string): void;
    /**
     * The method to get the currency
     * @returns A string representing the currency
     */
    getCurrency(): string;
    /**
     * The method to set the value to currency
     * @param currency A string representing the currency
     */
    setCurrency(currency: string): void;
    /**
     * The method to get the alias
     * @returns A string representing the alias
     */
    getAlias(): string;
    /**
     * The method to set the value to alias
     * @param alias A string representing the alias
     */
    setAlias(alias: string): void;
    /**
     * The method to get the theme
     * @returns An instance of Theme
     */
    getTheme(): Theme;
    /**
     * The method to set the value to theme
     * @param theme An instance of Theme
     */
    setTheme(theme: Theme): void;
    /**
     * The method to get the state
     * @returns A string representing the state
     */
    getState(): string;
    /**
     * The method to set the value to state
     * @param state A string representing the state
     */
    setState(state: string): void;
    /**
     * The method to get the fax
     * @returns A string representing the fax
     */
    getFax(): string;
    /**
     * The method to set the value to fax
     * @param fax A string representing the fax
     */
    setFax(fax: string): void;
    /**
     * The method to get the countryLocale
     * @returns A string representing the countryLocale
     */
    getCountryLocale(): string;
    /**
     * The method to set the value to countryLocale
     * @param countryLocale A string representing the countryLocale
     */
    setCountryLocale(countryLocale: string): void;
    /**
     * The method to get the sandboxdeveloper
     * @returns A boolean representing the sandboxdeveloper
     */
    getSandboxdeveloper(): boolean;
    /**
     * The method to set the value to sandboxdeveloper
     * @param sandboxdeveloper A boolean representing the sandboxdeveloper
     */
    setSandboxdeveloper(sandboxdeveloper: boolean): void;
    /**
     * The method to get the firstName
     * @returns A string representing the firstName
     */
    getFirstName(): string;
    /**
     * The method to set the value to firstName
     * @param firstName A string representing the firstName
     */
    setFirstName(firstName: string): void;
    /**
     * The method to get the email
     * @returns A string representing the email
     */
    getEmail(): string;
    /**
     * The method to set the value to email
     * @param email A string representing the email
     */
    setEmail(email: string): void;
    /**
     * The method to get the reportingTo
     * @returns An instance of User
     */
    getReportingTo(): User;
    /**
     * The method to set the value to reportingTo
     * @param reportingTo An instance of User
     */
    setReportingTo(reportingTo: User): void;
    /**
     * The method to get the decimalSeparator
     * @returns A string representing the decimalSeparator
     */
    getDecimalSeparator(): string;
    /**
     * The method to set the value to decimalSeparator
     * @param decimalSeparator A string representing the decimalSeparator
     */
    setDecimalSeparator(decimalSeparator: string): void;
    /**
     * The method to get the zip
     * @returns A string representing the zip
     */
    getZip(): string;
    /**
     * The method to set the value to zip
     * @param zip A string representing the zip
     */
    setZip(zip: string): void;
    /**
     * The method to get the website
     * @returns A string representing the website
     */
    getWebsite(): string;
    /**
     * The method to set the value to website
     * @param website A string representing the website
     */
    setWebsite(website: string): void;
    /**
     * The method to get the timeFormat
     * @returns A string representing the timeFormat
     */
    getTimeFormat(): string;
    /**
     * The method to set the value to timeFormat
     * @param timeFormat A string representing the timeFormat
     */
    setTimeFormat(timeFormat: string): void;
    /**
     * The method to get the offset
     * @returns A bigint representing the offset
     */
    getOffset(): bigint;
    /**
     * The method to set the value to offset
     * @param offset A bigint representing the offset
     */
    setOffset(offset: bigint): void;
    /**
     * The method to get the profile
     * @returns An instance of Profile
     */
    getProfile(): Profile;
    /**
     * The method to set the value to profile
     * @param profile An instance of Profile
     */
    setProfile(profile: Profile): void;
    /**
     * The method to get the mobile
     * @returns A string representing the mobile
     */
    getMobile(): string;
    /**
     * The method to set the value to mobile
     * @param mobile A string representing the mobile
     */
    setMobile(mobile: string): void;
    /**
     * The method to get the lastName
     * @returns A string representing the lastName
     */
    getLastName(): string;
    /**
     * The method to set the value to lastName
     * @param lastName A string representing the lastName
     */
    setLastName(lastName: string): void;
    /**
     * The method to get the timeZone
     * @returns A string representing the timeZone
     */
    getTimeZone(): string;
    /**
     * The method to set the value to timeZone
     * @param timeZone A string representing the timeZone
     */
    setTimeZone(timeZone: string): void;
    /**
     * The method to get the zuid
     * @returns A string representing the zuid
     */
    getZuid(): string;
    /**
     * The method to set the value to zuid
     * @param zuid A string representing the zuid
     */
    setZuid(zuid: string): void;
    /**
     * The method to get the confirm
     * @returns A boolean representing the confirm
     */
    getConfirm(): boolean;
    /**
     * The method to set the value to confirm
     * @param confirm A boolean representing the confirm
     */
    setConfirm(confirm: boolean): void;
    /**
     * The method to get the fullName
     * @returns A string representing the fullName
     */
    getFullName(): string;
    /**
     * The method to set the value to fullName
     * @param fullName A string representing the fullName
     */
    setFullName(fullName: string): void;
    /**
     * The method to get the territories
     * @returns An Array representing the territories
     */
    getTerritories(): Array<Territory>;
    /**
     * The method to set the value to territories
     * @param territories An Array representing the territories
     */
    setTerritories(territories: Array<Territory>): void;
    /**
     * The method to get the phone
     * @returns A string representing the phone
     */
    getPhone(): string;
    /**
     * The method to set the value to phone
     * @param phone A string representing the phone
     */
    setPhone(phone: string): void;
    /**
     * The method to get the dob
     * @returns A string representing the dob
     */
    getDob(): string;
    /**
     * The method to set the value to dob
     * @param dob A string representing the dob
     */
    setDob(dob: string): void;
    /**
     * The method to get the dateFormat
     * @returns A string representing the dateFormat
     */
    getDateFormat(): string;
    /**
     * The method to set the value to dateFormat
     * @param dateFormat A string representing the dateFormat
     */
    setDateFormat(dateFormat: string): void;
    /**
     * The method to get the status
     * @returns A string representing the status
     */
    getStatus(): string;
    /**
     * The method to set the value to status
     * @param status A string representing the status
     */
    setStatus(status: string): void;
    /**
     * The method to get the name
     * @returns A string representing the name
     */
    getName(): string;
    /**
     * The method to set the value to name
     * @param name A string representing the name
     */
    setName(name: string): void;
    /**
     * The method to get the category
     * @returns A string representing the category
     */
    getCategory(): string;
    /**
     * The method to set the value to category
     * @param category A string representing the category
     */
    setCategory(category: string): void;
}
export { User as MasterModel, User as User };
