import { VariableGroup } from "../variable_groups/variable_group";
import { Model } from "../../../../../../utils/util/model";
declare class Variable implements Model {
    private apiName;
    private name;
    private description;
    private id;
    private source;
    private type;
    private variableGroup;
    private value;
    private keyModified;
    /**
     * The method to get the apiName
     * @returns A string representing the apiName
     */
    getAPIName(): string;
    /**
     * The method to set the value to apiName
     * @param apiName A string representing the apiName
     */
    setAPIName(apiName: string): void;
    /**
     * The method to get the name
     * @returns A string representing the name
     */
    getName(): string;
    /**
     * The method to set the value to name
     * @param name A string representing the name
     */
    setName(name: string): void;
    /**
     * The method to get the description
     * @returns A string representing the description
     */
    getDescription(): string;
    /**
     * The method to set the value to description
     * @param description A string representing the description
     */
    setDescription(description: string): void;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the source
     * @returns A string representing the source
     */
    getSource(): string;
    /**
     * The method to set the value to source
     * @param source A string representing the source
     */
    setSource(source: string): void;
    /**
     * The method to get the type
     * @returns A string representing the type
     */
    getType(): string;
    /**
     * The method to set the value to type
     * @param type A string representing the type
     */
    setType(type: string): void;
    /**
     * The method to get the variableGroup
     * @returns An instance of VariableGroup
     */
    getVariableGroup(): VariableGroup;
    /**
     * The method to set the value to variableGroup
     * @param variableGroup An instance of VariableGroup
     */
    setVariableGroup(variableGroup: VariableGroup): void;
    /**
     * The method to get the value
     * @returns A object representing the value
     */
    getValue(): any;
    /**
     * The method to set the value to value
     * @param value A object representing the value
     */
    setValue(value: any): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Variable as MasterModel, Variable as Variable };
