import { Connection } from "./connection";
import { Node } from "./node";
import { Model } from "../../../../../../utils/util/model";
declare class ChartData implements Model {
    private nodes;
    private connections;
    private canvasWidth;
    private canvasHeight;
    private keyModified;
    /**
     * The method to get the nodes
     * @returns An Array representing the nodes
     */
    getNodes(): Array<Node>;
    /**
     * The method to set the value to nodes
     * @param nodes An Array representing the nodes
     */
    setNodes(nodes: Array<Node>): void;
    /**
     * The method to get the connections
     * @returns An Array representing the connections
     */
    getConnections(): Array<Connection>;
    /**
     * The method to set the value to connections
     * @param connections An Array representing the connections
     */
    setConnections(connections: Array<Connection>): void;
    /**
     * The method to get the canvasWidth
     * @returns A number representing the canvasWidth
     */
    getCanvasWidth(): number;
    /**
     * The method to set the value to canvasWidth
     * @param canvasWidth A number representing the canvasWidth
     */
    setCanvasWidth(canvasWidth: number): void;
    /**
     * The method to get the canvasHeight
     * @returns A number representing the canvasHeight
     */
    getCanvasHeight(): number;
    /**
     * The method to set the value to canvasHeight
     * @param canvasHeight A number representing the canvasHeight
     */
    setCanvasHeight(canvasHeight: number): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { ChartData as MasterModel, ChartData as ChartData };
