"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChartData = exports.MasterModel = void 0;
class ChartData {
    constructor() {
        this.keyModified = new Map();
    }
    /**
     * The method to get the nodes
     * @returns An Array representing the nodes
     */
    getNodes() {
        return this.nodes;
    }
    /**
     * The method to set the value to nodes
     * @param nodes An Array representing the nodes
     */
    setNodes(nodes) {
        this.nodes = nodes;
        this.keyModified.set("nodes", 1);
    }
    /**
     * The method to get the connections
     * @returns An Array representing the connections
     */
    getConnections() {
        return this.connections;
    }
    /**
     * The method to set the value to connections
     * @param connections An Array representing the connections
     */
    setConnections(connections) {
        this.connections = connections;
        this.keyModified.set("connections", 1);
    }
    /**
     * The method to get the canvasWidth
     * @returns A number representing the canvasWidth
     */
    getCanvasWidth() {
        return this.canvasWidth;
    }
    /**
     * The method to set the value to canvasWidth
     * @param canvasWidth A number representing the canvasWidth
     */
    setCanvasWidth(canvasWidth) {
        this.canvasWidth = canvasWidth;
        this.keyModified.set("canvas_width", 1);
    }
    /**
     * The method to get the canvasHeight
     * @returns A number representing the canvasHeight
     */
    getCanvasHeight() {
        return this.canvasHeight;
    }
    /**
     * The method to set the value to canvasHeight
     * @param canvasHeight A number representing the canvasHeight
     */
    setCanvasHeight(canvasHeight) {
        this.canvasHeight = canvasHeight;
        this.keyModified.set("canvas_height", 1);
    }
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key) {
        if (this.keyModified.has(key)) {
            return this.keyModified.get(key);
        }
        return null;
    }
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key, modification) {
        this.keyModified.set(key, modification);
    }
}
exports.MasterModel = ChartData;
exports.ChartData = ChartData;
