import { Screen } from "./screen";
import { Model } from "../../../../../../utils/util/model";
declare class Node implements Model {
    private posY;
    private posX;
    private startNode;
    private screen;
    private keyModified;
    /**
     * The method to get the posY
     * @returns A number representing the posY
     */
    getPosY(): number;
    /**
     * The method to set the value to posY
     * @param posY A number representing the posY
     */
    setPosY(posY: number): void;
    /**
     * The method to get the posX
     * @returns A number representing the posX
     */
    getPosX(): number;
    /**
     * The method to set the value to posX
     * @param posX A number representing the posX
     */
    setPosX(posX: number): void;
    /**
     * The method to get the startNode
     * @returns A boolean representing the startNode
     */
    getStartNode(): boolean;
    /**
     * The method to set the value to startNode
     * @param startNode A boolean representing the startNode
     */
    setStartNode(startNode: boolean): void;
    /**
     * The method to get the screen
     * @returns An instance of Screen
     */
    getScreen(): Screen;
    /**
     * The method to set the value to screen
     * @param screen An instance of Screen
     */
    setScreen(screen: Screen): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Node as MasterModel, Node as Node };
