import { Field } from "../fields/field";
import { Button } from "./button";
import { Model } from "../../../../../../utils/util/model";
declare class Segment implements Model {
    private id;
    private sequenceNumber;
    private displayLabel;
    private type;
    private columnCount;
    private fields;
    private buttons;
    private keyModified;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the sequenceNumber
     * @returns A number representing the sequenceNumber
     */
    getSequenceNumber(): number;
    /**
     * The method to set the value to sequenceNumber
     * @param sequenceNumber A number representing the sequenceNumber
     */
    setSequenceNumber(sequenceNumber: number): void;
    /**
     * The method to get the displayLabel
     * @returns A string representing the displayLabel
     */
    getDisplayLabel(): string;
    /**
     * The method to set the value to displayLabel
     * @param displayLabel A string representing the displayLabel
     */
    setDisplayLabel(displayLabel: string): void;
    /**
     * The method to get the type
     * @returns A string representing the type
     */
    getType(): string;
    /**
     * The method to set the value to type
     * @param type A string representing the type
     */
    setType(type: string): void;
    /**
     * The method to get the columnCount
     * @returns A number representing the columnCount
     */
    getColumnCount(): number;
    /**
     * The method to set the value to columnCount
     * @param columnCount A number representing the columnCount
     */
    setColumnCount(columnCount: number): void;
    /**
     * The method to get the fields
     * @returns An Array representing the fields
     */
    getFields(): Array<Field>;
    /**
     * The method to set the value to fields
     * @param fields An Array representing the fields
     */
    setFields(fields: Array<Field>): void;
    /**
     * The method to get the buttons
     * @returns An Array representing the buttons
     */
    getButtons(): Array<Button>;
    /**
     * The method to set the value to buttons
     * @param buttons An Array representing the buttons
     */
    setButtons(buttons: Array<Button>): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Segment as MasterModel, Segment as Segment };
