import { UserSignature } from "../../../routes/user_signature";
import { Token } from "../token";
import { TokenStore } from "./token_store";
/**
 * This class stores the user token details to the file.
*/
export declare class FileStore implements TokenStore {
    private filePath;
    private headers;
    /**
     * Creates an FileStore class instance with the specified parameters.
     * @param {string} filePath
    */
    constructor(filePath: string);
    getToken(user: UserSignature, token: Token): Promise<Token | undefined>;
    saveToken(user: UserSignature, token: Token): Promise<void>;
    deleteToken(token: Token): Promise<void>;
    getTokens(): Promise<Token[] | undefined>;
    deleteTokens(): void;
    private checkTokenExists;
    getTokenById(id: string, token: Token): Promise<Token | undefined>;
}
