import { DataCenter } from './data_center';
import { Environment } from './environment';
/**
 * This class represents the properties of Zoho CRM in Japan Domain.
 * @extends DataCenter
*/
export declare class JPDataCenter extends DataCenter {
    private static _PRODUCTION;
    private static _SANDBOX;
    private static _DEVELOPER;
    private static JP;
    /**
     * This method represents the Zoho CRM Production environment in Japan domain
     * @returns {Environment} An instance of Environment
    */
    static PRODUCTION(): Environment;
    /**
     * This method represents the Zoho CRM Sandbox environment in Japan domain
     * @returns {Environment} An instance of Environment
    */
    static SANDBOX(): Environment;
    /**
     * This method represents the Zoho CRM Developer environment in Japan domain
     * @returns {Environment} An instance of Environment
    */
    static DEVELOPER(): Environment;
    getIAMUrl(): string;
    getFileUploadUrl(): string;
}
