/**
 * This class represents the HTTP parameter.
 */
declare class Param<T = any> {
    private name;
    private className?;
    /**
     * Creates an Param class instance with the specified parameter name.
     * @param {string} name - A String containing the parameter name.
     * @param {string | null} className - A String containing the class name.
     */
    constructor(name: string, className?: string | null);
    /**
     * This is a getter method to get parameter name.
     * @returns {string} A String representing the parameter name.
     */
    getName(): string;
    /**
     * This is a getter method to get class name.
     * @returns {string | undefined | null} A String representing the class name.
     */
    getClassName(): string | undefined | null;
}
export { Param as MasterModel, Param as Param };
