import { Param } from './param';
/**
 * This class represents the HTTP parameter name and value.
 */
declare class ParameterMap {
    private parameterMap;
    /**
     * This is a getter method to get parameter map.
     * @returns {Map} A Map representing the API request parameters.
     */
    getParameterMap(): Map<string, string>;
    /**
     * The method to add parameter name and value.
     * @param {Param} param - A Param class instance.
     * @param {object} value - An object containing the parameter value.
     * @throws {SDKException}
     */
    add<T>(param: Param<T>, value: T): Promise<void>;
}
export { ParameterMap as MasterModel, ParameterMap as ParameterMap };
