declare class RequestProxy {
    private _host;
    private _port;
    private _user?;
    private _password?;
    /**
     * Creates a RequestProxy class instance with the specified parameters.
     * @param {String} host A String containing the hostname or address of the proxy server
     * @param {Number} port An Integer containing The port number of the proxy server
     * @param {String} user A String containing the user name of the proxy server
     * @param {String} password A String containing the password of the proxy server
     */
    constructor(host: string, port: number, user?: string, password?: string);
    /**
     * This is a getter method to get Proxy host.
     * @returns {String}
     */
    getHost(): string;
    /**
     * This is a getter method to get the Proxy port.
     * @returns {Number}
     */
    getPort(): number;
    /**
     * This is a getter method to get the Proxy user name.
     * @returns {String}
     */
    getUser(): string | undefined;
    /**
     * This is a getter method to get the Proxy password.
     * @returns {String}
     */
    getPassword(): string | undefined;
}
export { RequestProxy as MasterModel, RequestProxy as RequestProxy };
