/**
 * The class to configure the SDK.
 */
export declare class SDKConfig {
    private autoRefreshFields;
    private pickListValidation;
    private _timeout;
    /**
     * Creates an instance of SDKConfig with the given parameters
     * @param {Boolean} autoRefreshFields A boolean representing autoRefreshFields
     * @param {Boolean} pickListValidation A boolean representing pickListValidation
     * @param {number} timeout A Integer representing timeout
     */
    constructor(autoRefreshFields: boolean, pickListValidation: boolean, timeout: number);
    /**
     * This is a getter method to get autoRefreshFields.
     * @returns {Boolean} A boolean representing autoRefreshFields
     */
    getAutoRefreshFields(): boolean;
    /**
     *  This is a getter method to get pickListValidation.
     * @returns {Boolean} A boolean representing pickListValidation
     */
    getPickListValidation(): boolean;
    /**
     *  This is a getter method to get timeout.
     * @returns {number} A Integer representing API timeout
     */
    getTimeout(): number;
}
