export declare class Constants {
    static TYPE_VS_DATATYPE: Map<string, string>;
    static SPECIAL_TYPES: Map<string, string>;
    static OAUTH_HEADER_PREFIX: string;
    static AUTHORIZATION: string;
    static GRANT_TYPE: string;
    static GRANT_TYPE_AUTH_CODE: string;
    static ACCESS_TOKEN: string;
    static EXPIRES_IN: string;
    static EXPIRES_IN_SEC: string;
    static REFRESH_TOKEN: string;
    static CLIENT_ID: string;
    static CLIENT_SECRET: string;
    static REDIRECT_URL: string;
    static REDIRECT_URI: string;
    static REQUEST_METHOD_POST: string;
    static REQUEST_METHOD_PATCH: string;
    static CODE: string;
    static STATUS: string;
    static MESSAGE: string;
    static API_EXCEPTION: string;
    static REQUEST_METHOD_PUT: string;
    static REQUEST_METHOD_DELETE: string;
    static REQUEST_METHOD_GET: string;
    static ZOHO_SDK: string;
    static SDK_VERSION: string;
    static MYSQL_HOST: string;
    static MYSQL_DATABASE_NAME: string;
    static MYSQL_USER_NAME: string;
    static MYSQL_PORT_NUMBER: number;
    static GET_TOKEN_DB_ERROR: string;
    static GET_TOKENS_DB_ERROR: string;
    static DELETE_TOKEN_DB_ERROR: string;
    static DELETE_TOKENS_DB_ERROR: string;
    static SAVE_TOKEN_DB_ERROR: string;
    static GET_TOKEN_FILE_ERROR: string;
    static GET_TOKENS_FILE_ERROR: string;
    static SAVE_TOKEN_FILE_ERROR: string;
    static DELETE_TOKEN_FILE_ERROR: string;
    static DELETE_TOKENS_FILE_ERROR: string;
    static TOKEN_STORE: string;
    static USER_MAIL: string;
    static GRANT_TOKEN: string;
    static EXPIRY_TIME: string;
    static TOKEN_ERROR: string;
    static ERROR_HASH_FIELD: string;
    static ERROR_HASH_EXPECTED_TYPE: string;
    static ERROR_HASH_CLASS: string;
    static CONTENT_TYPE: string;
    static INSTANCE_NUMBER: string;
    static ERROR_HASH_MEMBER: string;
    static NAME: string;
    static DATA_TYPE_ERROR: string;
    static VALUES: string;
    static ACCEPTED_VALUES: string;
    static ACCEPTED_TYPE: string;
    static GIVEN_TYPE: string;
    static GIVEN_LENGTH: string;
    static UNACCEPTED_VALUES_ERROR: string;
    static MIN_LENGTH: string;
    static MAX_LENGTH: string;
    static ERROR_HASH_MAXIMUM_LENGTH: string;
    static MAXIMUM_LENGTH_ERROR: string;
    static ERROR_HASH_MINIMUM_LENGTH: string;
    static MINIMUM_LENGTH_ERROR: string;
    static REGEX: string;
    static REGEX_MISMATCH_ERROR: string;
    static UNIQUE: string;
    static UNIQUE_KEY_ERROR: string;
    static FIRST_INDEX: string;
    static NEXT_INDEX: string;
    static LONG_NAMESPACE: string;
    static BOOLEAN_NAMESPACE: string;
    static INTEGER_NAMESPACE: string;
    static STRING_NAMESPACE: string;
    static DOUBLE_NAMESPACE: string;
    static DATETIME_NAMESPACE: string;
    static DATE_NAMESPACE: string;
    static FLOAT_NAMESPACE: string;
    static OBJECT_NAMESPACE: string;
    static DOUBLE_COLON: string;
    static DOT: string;
    static UNDERSCORE: string;
    static STREAM_WRAPPER_CLASS_PATH: string;
    static FILE_NAMESPACE: string;
    static CONTENT_DISPOSITION: string;
    static PACKAGE_PREFIX: string;
    static INTERFACE: string;
    static CLASSES: string;
    static CLASS_KEY: string;
    static READ_ONLY: string;
    static IS_KEY_MODIFIED: string;
    static SET_KEY_MODIFIED: string;
    static REQUIRED: string;
    static REQUIRED_IN_UPDATE: string;
    static MANDATORY_VALUE_ERROR: string;
    static MANDATORY_VALUE_NULL_ERROR: string;
    static MANDATORY_KEY_ERROR: string;
    static MANDATORY_KEY_NULL_ERROR: string;
    static LIST_NAMESPACE: string;
    static MAP_NAMESPACE: string;
    static HASH_MAP_NAMESPACE: string;
    static STRUCTURE_NAME: string;
    static KEYS: string;
    static KEY_VALUES: string;
    static INITIALIZATION_ERROR: string;
    static INITIALIZATION_EXCEPTION: string;
    static SWITCH_USER_EXCEPTION: string;
    static EMAIL: string;
    static USER_ERROR: string;
    static CLIENT_ID_FIELD: string;
    static CLIENT_SECRET_FIELD: string;
    static REDIRECT_URL_FIELD: string;
    static TYPE: string;
    static TYPE_ERROR: string;
    static HEADER_PARAM_VALIDATION_ERROR: string;
    static TOKEN: string;
    static INVALID_CLIENT_ERROR: string;
    static ERROR_KEY: string;
    static GET_TOKEN_ERROR: string;
    static LOG_FILE_NAME: string;
    static TOKEN_FILE: string;
    static JSON_DETAILS_FILE_PATH: string;
    static CONFIG_DIRECTORY: string;
    static JSON_DETAILS_ERROR: string;
    static USER: string;
    static ENVIRONMENT: string;
    static STORE: string;
    static SDK_CONFIG: string;
    static USER_PROXY: string;
    static INDEX: string;
    static APPLICATION_JSON_CONTENT_TYPE: string;
    static EXCEPTION_IS_KEY_MODIFIED: string;
    static EXCEPTION_SET_KEY_MODIFIED: string;
    static ARRAY_TYPE: string;
    static ARRAY_KEY: string;
    static MAP_TYPE: string;
    static OBJECT_TYPE: string;
    static OBJECT_KEY: string;
    static STRING_TYPE: string;
    static INTEGER_TYPE: string;
    static RECORD_NAMESPACE: string;
    static ATTACHMENTS_NAMESPACE: string;
    static FIELD_FILE_NAMESPACE: string;
    static LINE_TAX_NAMESPACE: string;
    static INVENTORY_LINE_ITEMS: string;
    static PRICING_DETAILS: string;
    static COMMENT_NAMESPACE: string;
    static PARTICIPANTS: string;
    static REMINDAT_NAMESPACE: string;
    static CONSENT_NAMESPACE: string;
    static REMINDER_NAMESPACE: string;
    static RECURRING_ACTIVITY_NAMESPACE: string;
    static USER_NAMESPACE: string;
    static MODULE_NAMESPACE: string;
    static LAYOUT_NAMESPACE: string;
    static KEY_MODIFIED: string;
    static CHOICE_NAMESPACE: string;
    static MODULE: string;
    static CHOICE_PATH: string;
    static PACKAGE_NAMESPACE: string;
    static MODULEPACKAGENAME: string;
    static MODULEDETAILS: string;
    static KEYS_TO_SKIP: string[];
    static PRODUCT_DETAILS: string;
    static PRICING_DETAILS_API_NAME: string;
    static PARTICIPANT_API_NAME: string;
    static COMMENTS: string;
    static SOLUTIONS: string;
    static CASES: string;
    static NOTES: string;
    static ATTACHMENTS: string;
    static INVENTORY_MODULES: string[];
    static PRICE_BOOKS: string;
    static EVENTS: string;
    static CALLS: string;
    static CALL_DURATION: string;
    static ACTIVITIES: string;
    static LAYOUT: string;
    static SUBFORM: string;
    static SE_MODULE: string;
    static FIELDS_LAST_MODIFIED_TIME: string;
    static ATTACHMENT_ID: string;
    static FILE_ID: string;
    static DELETE_FIELD_FILE_ERROR: string;
    static DELETE_FIELD_FILES_ERROR: string;
    static DELETE_MODULE_FROM_FIELDFILE_ERROR: string;
    static HTTP: string;
    static CONTENT_API_URL: string;
    static INVALID_URL_ERROR: string;
    static SET_API_URL_EXCEPTION: string;
    static AUTHENTICATION_EXCEPTION: string;
    static FORM_REQUEST_EXCEPTION: string;
    static API_CALL_EXCEPTION: string;
    static CORE: string;
    static SAVE_TOKEN_ERROR: string;
    static SET_TO_CONTENT_TYPE: string[];
    static CONTENT_TYPE_HEADER: string;
    static EVENTS_MODULE_PARAMS: string[];
    static FILE_BODY_WRAPPER: string;
    static USER_NOT_FOUND_ERROR_MESSAGE: string;
    static USER_NOT_FOUND_ERROR: string;
    static LINE_TAX: string;
    static RESOURCE_PATH_ERROR: string;
    static RESOURCE_PATH_ERROR_MESSAGE: string;
    static INITIALIZATION_SUCCESSFUL: string;
    static INITIALIZATION_SWITCHED: string;
    static IN_ENVIRONMENT: string;
    static FOR_EMAIL_ID: string;
    static FIELD_DETAILS_DIRECTORY: string;
    static CANT_DISCLOSE: string;
    static URL: string;
    static HEADERS: string;
    static PARAMS: string;
    static REQUEST_METHOD: string;
    static RELATED_LISTS: string;
    static API_NAME: string;
    static HREF: string;
    static NO_CONTENT_STATUS_CODE: number;
    static NOT_MODIFIED_STATUS_CODE: number;
    static EXCEPTION: string;
    static REFRESH_TOKEN_MESSAGE: string;
    static PRIMARY: string;
    static ID: string;
    static REQUEST_CATEGORY_CREATE: string;
    static REQUEST_CATEGORY_UPDATE: string;
    static REQUEST_CATEGORY_READ: string;
    static REQUEST_CATEGORY_ACTION: string;
    static FORMULA: string;
    static LOOKUP: string;
    static ACCOUNTS: string;
    static REFRESH_SINGLE_MODULE_FIELDS_ERROR: string;
    static REFRESH_ALL_MODULE_FIELDS_ERROR: string;
    static SKIP_MANDATORY: string;
    static PRIMARY_KEY_ERROR: string;
    static PICKLIST: string;
    static AUTO_REFRESH_FIELDS_ERROR_MESSAGE: string;
    static SDK_UNINITIALIZATION_ERROR: string;
    static SDK_UNINITIALIZATION_MESSAGE: string;
    static USER_PROXY_ERROR: string;
    static HOST_ERROR_MESSAGE: string;
    static PORT_ERROR_MESSAGE: string;
    static SWITCH_USER_ERROR: string;
    static PARAMETER_NULL_ERROR: string;
    static HEADER_NULL_ERROR: string;
    static PARAM_NAME_NULL_ERROR: string;
    static HEADER_NAME_NULL_ERROR: string;
    static PARAM_NAME_NULL_ERROR_MESSAGE: string;
    static HEADER_NAME_NULL_ERROR_MESSAGE: string;
    static NULL_VALUE_ERROR_MESSAGE: string;
    static PARAM_INSTANCE_NULL_ERROR: string;
    static HEADER_INSTANCE_NULL_ERROR: string;
    static PARAMETER_ERROR_MESSAGE: string;
    static UNSUPPORTED_IN_API: string;
    static UNSUPPORTED_IN_API_MESSAGE: string;
    static NULL_VALUE: string;
    static PROXY_SETTINGS: string;
    static PROXY_HOST: string;
    static PROXY_PORT: string;
    static PROXY_USER: string;
    static API_ERROR_RESPONSE: string;
    static FILE_ERROR: string;
    static FILE_DOES_NOT_EXISTS: string;
    static CONSENT_LOOKUP: string;
    static IS_GENERATE_REQUEST_BODY: string[];
    static BIGINT_TYPE: string;
    static USER_SIGNATURE_ERROR: string;
    static REGULAR_EXPRESSION: RegExp;
    static SDK_NAME: string;
    static RESOURCE_PATH_INVALID_ERROR_MESSAGE: string;
    static MYSQL_TABLE_NAME: string;
    static USER_MAIL_NULL_ERROR: string;
    static USER_MAIL_NULL_ERROR_MESSAGE: string;
    static GET_TOKEN_BY_ID_FILE_ERROR: string;
    static CLIENT_ID_NULL_ERROR_MESSAGE: string;
    static CLIENT_SECRET_NULL_ERROR_MESSAGE: string;
    static OAUTH_MANDATORY_KEYS: string[];
    static INVALID_TOKEN_ERROR: string;
    static NO_ACCESS_TOKEN_ERROR: string;
    static GET_TOKEN_BY_ID_DB_ERROR: string;
    static USER_SIGNATURE_ERROR_MESSAGE: string;
    static ENVIRONMENT_ERROR_MESSAGE: string;
    static TOKEN_ERROR_MESSAGE: string;
    static STORE_ERROR_MESSAGE: string;
    static SDK_CONFIG_ERROR_MESSAGE: string;
    static REQUEST_PROXY_ERROR: string;
    static DEFAULT_MODULENAME_VS_APINAME: Map<string, string>;
    static SDK_MODULE_METADATA: string;
    static SKIP_MODULES: string[];
    static PHOTO_SUPPORTED_MODULES: string[];
    static GENERATED_TYPE: string;
    static GENERATED_TYPE_CUSTOM: string;
    static UPLOAD_PHOTO_UNSUPPORTED_ERROR: string;
    static UPLOAD_PHOTO_UNSUPPORTED_MESSAGE: string;
    static TYPE_SCRIPT: string;
    static COUNT: string;
    static OWNER_LOOKUP: string;
    static NUMBER_TYPE: string;
    static PRODUCT_NAME: string;
    static TERRITORIES: string;
    static TERRITORY_NAMESPACE: string;
    static LINEITEM_PRODUCT: string;
    static DISCOUNT: string;
    static TAX: string;
    static TAX_NAMESPACE: string;
    static MULTI_SELECT_LOOKUP: string;
    static MULTI_USER_LOOKUP: string;
    static TERRITORY: string;
    static INVENTORY_MODULES_ITEMS: string[];
    static PRODUCTS: string;
    static IMAGE_UPLOAD_NAMESPACE: string;
}
