import { CommonAPIHandler } from "../../routes/middlewares/common_api_handler";
/**
 * This class handles module field details.
*/
declare class Utility {
    private static apiTypeVsDataType;
    private static apiTypeVsStructureName;
    private static newFile;
    private static getModifiedModules;
    private static forceRefresh;
    private static moduleAPIName;
    private static apiSupportedModule;
    static assertNotNull(value: any, errorCode: string, errorMessage: string): Promise<void>;
    static fileExistsFlow(moduleAPIName: string | null, recordFieldDetailsPath: string, lastModifiedTime: number | null): Promise<void>;
    static verifyModuleAPIName(moduleName: string | null): Promise<any>;
    static setHandlerAPIPath(moduleAPIName: string | null, handlerInstance: CommonAPIHandler | null): Promise<void>;
    /**
     * This method to fetch field details of the current module for the current user and store the result in a JSON file.
     * @param {string} moduleAPIName - A String containing the CRM module API name.
     * @param {CommonAPIHandler} handlerInstance - A String containing CommonAPIHandler Instance.
     */
    static getFields(moduleAPIName: string | null, handlerInstance: CommonAPIHandler | null): Promise<void>;
    /**
     * This method to fetch field details of the current module for the current user and store the result in a JSON file.
     * @param {string} moduleAPIName - A String containing the CRM module API name.
     * @param {CommonAPIHandler} handlerInstance - A String containing CommonAPIHandler Instance.
    */
    static getFieldsInfo(moduleAPIName: string | null, handlerInstance: CommonAPIHandler | null): Promise<void>;
    private static modifyFields;
    static deleteFields(recordFieldDetailsJson: {
        [key: string]: any;
    }, module: string): Promise<void>;
    private static getFileName;
    static getRelatedLists(relatedModuleName: string, moduleAPIName: string, commonAPIHandler: CommonAPIHandler): Promise<void>;
    private static checkRelatedListExists;
    private static getRelatedListDetails;
    /**
     * This method is to get module field data from Zoho CRM.
     * @param {string} moduleAPIName - A String containing the CRM module API name.
     * @returns {object} An Object representing the Zoho CRM module field details.
    */
    private static getFieldsDetails;
    static searchJSONDetails(key: string): Promise<any>;
    static verifyPhotoSupport(moduleAPIName: string): Promise<boolean>;
    static getModuleNames(): Promise<any>;
    static writeModuleMetaData(recordFieldDetailsPath: string, moduleData: any): Promise<void>;
    private static getModules;
    static refreshModules(): Promise<void>;
    static getJSONObject(json: {
        [key: string]: any;
    }, key: string): Promise<any>;
    private static setDataType;
    private static fillDataType;
}
export { Utility as MasterModel, Utility as Utility };
